{**********************************************************************
 * ProxmoxAddon product developed. (2015-08-12)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="QBExportContent">
      <legend>{$MGLANG->T('header','clusters')}</legend>
      {if $info}
            <div class="row-fluid">
                  <div class="span12">
                        <div class="alert alert-info">{$info}</div>
                  </div>
            </div>
      {/if}
      {if $error}
            <div class="alert alert-danger" >
                  <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
                  <strong>{$error}</strong>
            </div>
      {elseif $success}
            <div class="row-fluid">
                  <div class="span12">
                        <div class="alert alert-success">{$success}</div>
                  </div>
            </div>
      {/if}

      <form action="" method="post" id="QBExportForm" >
            <div id="qb-form-filters" style="">
                  <div class="row">
                        <div class="col-md-3">                  
                              <div class="form-group">
                                    <label for="QBFrom">{$MGLANG->T('filters','server')} </label>
                                     <select name='filters[server]'  id="pm-filters-server" style="min-width: 300px;">
                                          {foreach from=$servers item=item  key=k}
                                                  <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                                          {/foreach}
                                     </select>
                        
                              </div>
                              <button type="button" class="btn btn-primary btn-inverse" id="QBButtonFilter">{$MGLANG->T('filters','Filter')}</button>
                        </div>
                        {$filterForm}
                  </div>
            </div>
            <br/>

            <table class="table table-hover" id="QBClientList" >
                  <thead>
                        <tr>
                              <th>{$MGLANG->T('tableHeader','Name')}</th>
                              <th>{$MGLANG->T('tableHeader','Uptime')}</th>
                              <th>{$MGLANG->T('tableHeader','CPU')}</th>
                              <th>{$MGLANG->T('tableHeader','CPU Usage')}</th>
                              <th>{$MGLANG->T('tableHeader','SWAP Usage')}</th>
                              <th>{$MGLANG->T('tableHeader','Memory Usage')}</th>
                              <th>{$MGLANG->T('tableHeader','Disk Usage')}</th>
                        </tr>
                  </thead>
                  <tbody>
                  </tbody> 
            </table>
      </form>

</div>   
{literal}
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {
                  
                  if(!$('#pm-filters-server').val()){
                      return;
                  }
                  taDataTable = $('#QBClientList').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide": false,
                        "order": [[0, "asc"]],
                        ajax: function(data, callback, settings) {
                              var filter = {
                                    serverID: $('#pm-filters-server').val(),
                              };
                              JSONParser.request(
                                      'getNodeList'
                                      , {
                                            filter: filter
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              null
                              , null
                                      , null
                                      , null
                                      , null
                                      , null
                                      , null
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noClientAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noClientAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  
                  //date filter 
                  $("#QBButtonFilter").click(function(e) {
                        e.preventDefault();
                        var api = taDataTable.api();
                        api.ajax.reload(function() {
                        }, false);
                  });

                  
                  $("#qb-button-toggle").click(function(){
                      $("#qb-form-filters").toggle();  
                  }); 
                  $("#QBButtonReset").click(function(){
                      $("#QBDateFrom").val(''); 
                      $("#QBDateTo").val('');  
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                  });
                  
            });
      </script>

{/literal}