{**********************************************************************
* ProxmoxAddon product developed. (2015-08-14)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<script type="text/javascript" src="modules/addons/proxmoxAddon/templates/admin/assets/js/Chart.js"></script>
<div class="col-lg-12">
    <legend>{$MGLANG->T('header','clusters')} &rarr; {$node}</legend>
    {if $info}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-info">{$info}</div>
            </div>
        </div>
    {/if}
    {if $error}
        <div class="alert alert-danger" >
            <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
            <strong>{$error}</strong>
        </div>
    {elseif $success}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-success">{$success}</div>
            </div>
        </div>
    {/if}


    <div class="panel panel-default">
        <div class="panel-heading" role="tab">
            <h4 class="panel-title">
                {$MGLANG->T('header','summary')}
            </h4>
        </div>
        <div class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
            <div class="panel-body">
                <table class="table">

                    <tbody>
                        <tr>
                            <td style="font-weight: bold;"> {$MGLANG->T('uptime')}</td>
                            <td>{$status.uptime}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('loadAverage')} </td>
                            <td>{$status.loadavg.0}, {$status.loadavg.1}, {$status.loadavg.2}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('cpus')}  </td>
                            <td> {$status.cpuinfo.cpus} x  {$status.cpuinfo.model} {$status.cpuinfo.sockets} {if $status.cpuinfo.sockets > 1 } {$MGLANG->T('sockets')} {else}  {$MGLANG->T('socket')} {/if}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('cpusUsage')}  </td>
                            <td>{$status.cpu}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('ioDelay')}  </td>
                            <td>{$status.idle} %</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('ramUsage')} 
                                <div class="progress" style="margin-top:10px;">
                                    <div class="progress-bar {if $status.memory.percent >=90}progress-bar-danger{elseif $status.memory.percent <=90 && $status.memory.percent >=70}progress-bar-warning{elseif $status.memory.percent <=70}progress-bar-success{/if}" 
                                         role="progressbar" aria-valuenow="{$status.memory.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.memory.percent}%;">
                                        {$status.memory.percent}%
                                    </div>
                                </div>
                            </td>
                            <td>
                                {$MGLANG->T('total')}  {$status.memory.total} <br/>{$MGLANG->T('used')}  {$status.memory.used} <br/> {$MGLANG->T('free')} {$status.memory.free}

                            </td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('swapUsage')}
                                <div class="progress" style="margin-top:10px;">
                                    <div class="progress-bar {if $status.swap.percent >=90}progress-bar-danger{elseif $status.swap.percent <=90 && $status.swap.percent >=70}progress-bar-warning{elseif $status.swap.percent <=70}progress-bar-success{/if}" 
                                         role="progressbar" aria-valuenow="{$status.swap.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.swap.percent}%;">
                                        {$status.swap.percent}%
                                    </div>
                                </div>
                            </td>
                            <td>{$MGLANG->T('total')}  {$status.swap.total} <br/> {$MGLANG->T('used')}  {$status.swap.used} <br/>{$MGLANG->T('free')} {$status.swap.free}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('HDSpace(root)')} 
                                <div class="progress" style="margin-top:10px;">
                                    <div class="progress-bar {if $status.rootfs.percent >=90}progress-bar-danger{elseif $status.rootfs.percent <=90 && $status.rootfs.percent >=70}progress-bar-warning{elseif $status.rootfs.percent <=70}progress-bar-success{/if}" 
                                         role="progressbar" aria-valuenow="{$status.rootfs.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.rootfs.percent}%;">
                                        {$status.rootfs.percent}%
                                    </div>
                                </div>
                            </td>
                            <td>{$MGLANG->T('total')}  {$status.rootfs.total} <br/> {$MGLANG->T('used')}  {$status.rootfs.used} <br/>{$MGLANG->T('free')} {$status.rootfs.free}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('KSMSharing')}  </td>
                            <td>{$status.ksm.shared}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('PVEManagerVersion')}  </td>
                            <td>{$status.pveversion}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('Kernel Version')}  </td>
                            <td>{$status.kversion}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading" role="tab">
            <h4 class="panel-title">
                {$MGLANG->T('header','subscription')}
            </h4>
        </div>
        <div class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
            <div class="panel-body">
                <table class="table">

                    <tbody>
                        <tr>
                            <td style="font-weight: bold;"> {$MGLANG->T('status')}</td>
                            <td>{$subscription.status}: {$subscription.message}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: bold;">{$MGLANG->T('serverId')} </td>
                            <td>{$subscription.serverid}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <form action="" method="post"  name="form1" >
        <div>
            <h3 class="so_title" style="margin-bottom: 0; text-align:center;">{$MGLANG->T('header','Graphs')}</h3>
            <div  align="right">
                <select name="pm-time-frame" id="pm-time-frame" style="width:100px;">
                    <option value="hour" {if $timeframe == "hour"}  selected {/if}>{$MGLANG->T('Hour')}</option>
                    <option value="day" {if $timeframe == "day"}  selected {/if}>{$MGLANG->T('Day')}</option>
                    <option value="week" {if $timeframe == "week"}  selected {/if}>{$MGLANG->T('Week')}</option>
                    <option value="month" {if $timeframe == "month"}  selected {/if} >{$MGLANG->T('Month')}</option>
                    <option value="year" {if $timeframe == "year"}  selected {/if} >{$MGLANG->T('Year')}</option>
                </select>
                <a href="" id="graphs">
                </a>
            </div>
        </div>
    </form>


    <div class="bs-docs-example so_graph_cpu">
        <canvas id="pm-chart-cpu" width="200" height="200"></canvas>
    </div>
    <div class="bs-docs-example so_graph_server_load">
        <canvas id="pm-chart-serverLoad" width="200" height="200"></canvas>
    </div>  
    <div class="bs-docs-example so_graph_mem">
        <canvas id="pm-chart-mem" width="200" height="200"></canvas>
    </div>
    <div class="bs-docs-example so_graph_net">
        <canvas id="pm-chart-net" width="200" height="200"></canvas>
    </div>
   

</div>
{literal}
    <style>
        .bs-docs-example:after {background-color: #F5F5F5 !important; border: 1px solid #DDDDDD !important; border-radius: 4px 0 4px 0 !important; color: #9DA0A4 !important; font-size: 12px;font-weight: bold;left: -1px; padding: 3px 7px !important; position: absolute !important; top: -1px !important;}
        .bs-docs-example { background-color: #FFFFFF;border: 1px solid #DDDDDD;border-radius: 4px 4px 4px 4px;margin: 15px 0!important;padding: 39px 19px 14px!important;position: relative!important; min-height:500px;}
        .bs-docs-example img {  display:block!important;}
        .so_graph_cpu:after {content: "{/literal}{$MGLANG->T("CPU usage %")}{literal}";}
        .so_graph_mem:after {content: "{/literal}{$MGLANG->T("Memory Usage")}{literal}";}
        .so_graph_net:after {content:  "{/literal}{$MGLANG->T("Network Traffic")}{literal}";}
        .so_graph_disk:after {content:  "{/literal}{$MGLANG->T("Disk IO")}{literal}";} 
        .so_graph_server_load:after {content: "{/literal}{$MGLANG->T("Server Load")}{literal}";}
        .custom_border_box {
            background: none repeat scroll 0 0 rgba(0, 0, 0, 0.05);
            border: 1px solid rgba(0, 0, 0, 0.05);
            padding: 10px !important;
            margin-bottom:10px !important;
        }
    </style>
    <script type="text/javascript">


        jQuery(document).ready(function () {
            function mgBytesToSize(bytes) {
                var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB'];
                if (bytes <= 1) {
                    if (bytes !== 0) {
                        var bytes = Number(bytes).toFixed(1);
                    }
                    return bytes + ' Byte';
                }
                var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));
                return Math.round(bytes / Math.pow(1024, i), 2) + ' ' + sizes[i];
            }
            ;


            $("#pm-time-frame").change(function () {

                JSONParser.request(
                        'getGraphs'
                        , {
                            'timeframe': $(this).val(),
                            'node': '{/literal}{$node}{literal}',
                            "serverID": '{/literal}{$serverID}{literal}'
                        }
                , function (data) {
                    var cpu = document.getElementById("pm-chart-cpu").getContext('2d');
                    new Chart(cpu, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.cpu,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: '%'
                                        },
                                        ticks: {
                                            beginAtZero: true
                                        }
                                    }]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        var used = Number(tooltipItem.yLabel).toFixed(2);
                                        return used + "%";
                                    }
                                }
                            }
                        }
                    });
                    var serverLoad = document.getElementById("pm-chart-serverLoad").getContext('2d');
                    new Chart(serverLoad, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.serverLoad,
                        options: {
                            maintainAspectRatio: false,
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        var used = Number(tooltipItem.yLabel).toFixed(2);
                                        return used ;
                                    }
                                }
                            }
                        }
                    });
                    var mem = document.getElementById("pm-chart-mem").getContext('2d');
                    new Chart(mem, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.mem,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: 'Bytes'
                                        },
                                        ticks: {
                                            beginAtZero: true,
                                            callback: function (label, index, labels) {
                                                return mgBytesToSize(label);
                                            }
                                        },
                                    }
                                ]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        return mgBytesToSize(tooltipItem.yLabel);
                                    }
                                }
                            }
                        }
                    });
                    var net = document.getElementById("pm-chart-net").getContext('2d');
                    new Chart(net, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.net,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: 'Bytes/s'
                                        },
                                        ticks: {
                                            beginAtZero: true,
                                            callback: function (label, index, labels) {
                                                return mgBytesToSize(label);
                                            }
                                        },
                                    }]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        return mgBytesToSize(tooltipItem.yLabel) + "/s";
                                    }
                                }
                            }
                        }
                    });
                    
                }
                );
            });
            $("#pm-time-frame").change();
        });
    </script>
{/literal}

