{**********************************************************************
* ProxmoxVPS product developed. (2016-12-21)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pm-dhcp-content" >
    <legend>{$MGLANG->T('DHCP')}</legend>
    <table class="table table-hover" id="pm-data-list" >
        <thead>
            <tr>
                <th>{$MGLANG->T('Id')}</th>
                <th>{$MGLANG->T('Hostname')}</th>
                <th>{$MGLANG->T('IP Address')}</th>
                <th>{$MGLANG->T('Configuration For IPv4')}</th>
                <th>{$MGLANG->T('Configuration For IPv6')} </th>
                <th style="width: 80px; text-align: center;">{$MGLANG->T('Actions')}</th>
            </tr>
        </thead>
        <tbody>
        </tbody> 
    </table>
    <div class="well well-sm" style="margin-top:10px;">
        <button class="btn btn-default btn-inverse" type="button" id="mg-button-refresh" data-target="#mg-modal-dhcp-add" data-toggle="modal" >               
            <i class="glyphicon glyphicon-plus"></i>
            {$MGLANG->T('Add')}
        </button>
    </div>
    {*Create*}
    <form id="mg-dhcp-form" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-dhcp-add"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('New DHCP Server')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-hostname" class="col-sm-2 control-label">{$MGLANG->T('Hostname')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[host]" id="mg-input-hostname" 
                                       placeholder="" data-error="{$MGLANG->T('Hostname is invalid')}" required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-ip" class="col-sm-2 control-label">{$MGLANG->T('IP Address')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[ip]" id="mg-input-ip" 
                                       placeholder="" data-error="{$MGLANG->T('That IP Address is invalid')}" {literal} pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$"{/literal}>
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-port" class="col-sm-2 control-label">{$MGLANG->T('Port')}</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" name="dhcp[port]" id="mg-input-port" 
                                       placeholder="22" data-error="{$MGLANG->T('Port is invalid')}" required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-username" class="col-sm-2 control-label">{$MGLANG->T('Username')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[user]" id="mg-input-username" 
                                       placeholder="" data-error="{$MGLANG->T('Username is reguired')}" required="">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-password" class="col-sm-2 control-label">{$MGLANG->T('Password')}</label>
                            <div class="col-sm-10">
                                <input type="password" class="form-control" name="dhcp[password]" id="mg-input-password" 
                                       placeholder="" data-error="{$MGLANG->T('Password is reguired')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-public" class="col-sm-2 control-label">{$MGLANG->T('Public Key File')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pubkeyFile]" id="mg-input-public" 
                                       placeholder="/root/.ssh/id_rsa.pub" data-error="{$MGLANG->T('Public Key File is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-private" class="col-sm-2 control-label">{$MGLANG->T('Private Key File')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[privkeyFile]" id="mg-input-private" 
                                       placeholder="/root/.ssh/id_rsa" data-error="{$MGLANG->T('Private Key File is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-pathIpv4" class="col-sm-2 control-label">{$MGLANG->T('Path For IPv4')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pathIpv4]" id="mg-input-pathIpv4" 
                                       placeholder="/etc/dhcp/dhcpd.conf" data-error="{$MGLANG->T('Path is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-pathIpv6" class="col-sm-2 control-label">{$MGLANG->T('Path For IPv6')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pathIpv6]" id="mg-input-pathIpv6" 
                                       placeholder="/etc/dhcp/dhcpd6.conf" data-error="{$MGLANG->T('Path is invalid')}" >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                    </div> 
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success btn-inverse" data-modal-action="dhcpTestConnection" id="pm-modal-addip-button-add">{$MGLANG->T('Test Connection')}</button>
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="dhcpSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Edit*}
    <form id="mg-dhcp-form-edit" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-dhcp-edit" data-modal-load="dhcpDetails"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('Edit DHCP Server')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="dhcp[id]" data-target="" value=""/>
                        <div class="form-group row">
                            <label for="mg-input-hostname-edit" class="col-sm-2 control-label">{$MGLANG->T('Hostname')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[host]" id="mg-input-hostname-edit" 
                                       placeholder="" data-error="{$MGLANG->T('Hostname is invalid')}" required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-ip-edit" class="col-sm-2 control-label">{$MGLANG->T('IP Address')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[ip]" id="mg-input-ip-edit" 
                                       placeholder="" data-error="{$MGLANG->T('That IP Address is invalid')}" {literal} pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$"{/literal}>
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-port-edit" class="col-sm-2 control-label">{$MGLANG->T('Port')}</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" name="dhcp[port]" id="mg-input-port-edit" 
                                       placeholder="22" data-error="{$MGLANG->T('Port is invalid')}" required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-username-edit" class="col-sm-2 control-label">{$MGLANG->T('Username')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[user]" id="mg-input-username-edit" 
                                       placeholder="" data-error="{$MGLANG->T('Username is reguired')}" required="">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-password-edit" class="col-sm-2 control-label">{$MGLANG->T('Password')}</label>
                            <div class="col-sm-10">
                                <input type="password" class="form-control" name="dhcp[password]" id="mg-input-password-edit" 
                                       placeholder="" data-error="{$MGLANG->T('Password is reguired')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-public-edit" class="col-sm-2 control-label">{$MGLANG->T('Public Key File')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pubkeyFile]" id="mg-input-public-edit" 
                                       placeholder="/root/.ssh/id_rsa.pub" data-error="{$MGLANG->T('Public Key File is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-private-edit" class="col-sm-2 control-label">{$MGLANG->T('Private Key File')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[privkeyFile]" id="mg-input-private-edit" 
                                       placeholder="/root/.ssh/id_rsa" data-error="{$MGLANG->T('Private Key File is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-pathIpv4-edit" class="col-sm-2 control-label">{$MGLANG->T('Path For IPv4')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pathIpv4]" id="mg-input-pathIpv4-edit" 
                                       placeholder="/etc/dhcp/dhcpd.conf" data-error="{$MGLANG->T('Path is invalid')}">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-pathIpv6-edit" class="col-sm-2 control-label">{$MGLANG->T('Path For IPv6')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="dhcp[pathIpv6]" id="mg-input-pathIpv6-edit" 
                                       placeholder="/etc/dhcp/dhcpd6.conf" data-error="{$MGLANG->T('Path is invalid')}" >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success btn-inverse" data-modal-action="dhcpTestConnection">{$MGLANG->T('Test Connection')}</button>
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="dhcpSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Delete*}
    <div class="modal fade" tabindex="-1" role="dialog" id="mg-modal-delete-dhcp" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('Delete server:')} <span data-modal-title=""></span></h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="id" data-target="" value=""/>
                    <p class="text-center">{$MGLANG->T(' Are you sure you want to delete that server?')} <b></b> <span></p>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger btn-inverse" data-modal-action="dhcpDelete">{$MGLANG->T('Delete')}</button>
                    <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('Close')}</button>
                </div>
            </div>
        </div>
    </div>
</div>
{literal}
    <script type="text/javascript">
        var mgDataTable;
        jQuery(document).ready(function () {
            mgDataTable = $('#pm-data-list').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "serverSide": false,
                "order": [[0, "asc"]],
                ajax: function (data, callback, settings) {
                    JSONParser.request(
                            'dhcpList'
                            , {
                                filter: {}
                                , limit: data.length
                                , offset: data.start
                                , order: data.order
                                , search: data.search
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                    null,
                     null
                            , null
                            , null
                            , null
                            , {orderable: false}

                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                    "search": "{/literal}{$MGLANG->T('search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                    }
                }
            });
            //Create
            $("#mg-dhcp-form").validator().on("submit", function (e) {
                if (e.isDefaultPrevented())
                    return;
            });
            //
            jQuery('#pm-dhcp-content').MGModalActions();

            $('#pm-dhcp-content').on("rowDelted",function(e){
                mgDataTable.api().ajax.reload(function () {}, false);
            });
            $('#pm-dhcp-content').on("rowSaved",function(e){
                mgDataTable.api().ajax.reload(function () {}, false);
            });
            
        });
    </script>

{/literal}