{**********************************************************************
* ProxmoxVPS product developed. (2016-12-21)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pm-cloudInit-content" >
    <legend>{$MGLANG->T('Cloud-init')}</legend>
    <table class="table table-hover" id="pm-data-list" >
        <thead>
            <tr>
                <th>{$MGLANG->T('ID')}</th>
                <th>{$MGLANG->T('Name')}</th>
                <th>{$MGLANG->T('Type')}</th>
                <th>{$MGLANG->T('Modules')}</th>
                <th>{$MGLANG->T('Last Update')}</th>
                <th style="width: 80px; text-align: center;">{$MGLANG->T('Actions')}</th>
            </tr>
        </thead>
        <tbody>
        </tbody> 
    </table>
    <div class="well well-sm" style="margin-top:10px;">
        <button class="btn btn-default btn-inverse" type="button" id="mg-button-refresh" data-target="#mg-modal-cloudInit-add" data-toggle="modal" >               
            <i class="glyphicon glyphicon-plus"></i>
            {$MGLANG->T('Add')}
        </button>
    </div>
    {*Create*}
    <form id="mg-cloudInit-form" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-cloudInit-add"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog  modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('New Cloud Init')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-name" class="col-sm-2 control-label">{$MGLANG->T('Name')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="cloudInit[name]" id="mg-input-name" 
                                       placeholder=""  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-type" class="col-sm-2 control-label">{$MGLANG->T('Type')}</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="cloudInit[type]" id="mg-input-type">
                                    <option value="user-data">{$MGLANG->T('user-data')}</option>
                                    <option value="meta-data">{$MGLANG->T('meta-data')}</option>
                                    <option value="network-config">{$MGLANG->T('network-config')}</option>
                                </select>
                                <div class="help-block">{$MGLANG->T('type-help')}</div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-modules" class="col-sm-2 control-label">{$MGLANG->T('Modules')}</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="cloudInit[modules][]" id="mg-input-modules" multiple="" required="">
                                    <option value="proxmoxVPS">{$MGLANG->absoluteT('proxmoxVPS')}</option>
                                    <option value="proxmoxCloud">{$MGLANG->absoluteT('proxmoxCloud')}</option>
                                </select>
                                <div class="help-block">{$MGLANG->T('modules-help')}</div>
                            </div>
                        </div>  
                        <div class="form-group row">
                            <label for="mg-input-data" class="col-sm-2 control-label">{$MGLANG->T('Data')}</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="cloudInit[data]" id="mg-input-data"></textarea>
                                <div class="help-block">{$MGLANG->T('data-help')}</div>
                            </div>
                        </div>
                        {include file="cloudInitMergeFields.tpl"}
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="cloudInitSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Edit*}
    <form id="mg-cloudInit-form-edit" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-cloudInit-edit" data-modal-load="cloudInitDetails"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog  modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('Edit Cloud Init')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="cloudInit[id]" data-target="" value=""/>
                        <div class="form-group row">
                            <label for="mg-input-name-edit" class="col-sm-2 control-label">{$MGLANG->T('Name')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="cloudInit[name]" id="mg-input-name-edit" 
                                       placeholder=""  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-type-edit" class="col-sm-2 control-label">{$MGLANG->T('Type')}</label>
                             <div class="col-sm-10">
                                <select class="form-control" name="cloudInit[type]" id="mg-input-type-edit">
                                    <option value="user-data">{$MGLANG->T('user-data')}</option>
                                    <option value="meta-data">{$MGLANG->T('meta-data')}</option>
                                    <option value="network-config">{$MGLANG->T('network-config')}</option>
                                </select>
                                <div class="help-block">{$MGLANG->T('type-help')}</div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-modules-edit" class="col-sm-2 control-label">{$MGLANG->T('Modules')}</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="cloudInit[modules][]" id="mg-input-modules-edit" multiple="" required="">
                                    <option value="proxmoxVPS">{$MGLANG->absoluteT('proxmoxVPS')}</option>
                                    <option value="proxmoxCloud">{$MGLANG->absoluteT('proxmoxCloud')}</option>
                                </select>
                                <div class="help-block">{$MGLANG->T('modules-help')}</div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-data-edit" class="col-sm-2 control-label">{$MGLANG->T('Data')}</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="cloudInit[data]" id="mg-input-data-edit"></textarea>
                                <div class="help-block">{$MGLANG->T('data-help')}</div>
                            </div>
                        </div>
                            {include file="cloudInitMergeFields.tpl"}
                            
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="cloudInitSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Delete*}
    <div class="modal fade" tabindex="-1" role="dialog" id="mg-modal-cloudInit-delete" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('Delete:')} <span data-modal-title=""></span></h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="id" data-target="" value=""/>
                    <p class="text-center">{$MGLANG->T(' Are you sure you want to delete that Cloud Init?')} <b></b> <span></p>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger btn-inverse" data-modal-action="cloudInitDelete">{$MGLANG->absoluteT('Delete')}</button>
                    <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                </div>
            </div>
        </div>
    </div>
</div>
{literal}
    <script type="text/javascript">
        var mgDataTable;
        jQuery(document).ready(function () {
            mgDataTable = $('#pm-data-list').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "serverSide": false,
                "order": [[0, "asc"]],
                ajax: function (data, callback, settings) {
                    JSONParser.request(
                            'cloudInitList'
                            , {
                                filter: {}
                                , limit: data.length
                                , offset: data.start
                                , order: data.order
                                , search: data.search
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                    null
                            , null
                            ,null
                        ,    {orderable: false}
                             , null
                            , {orderable: false}

                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                    "search": "{/literal}{$MGLANG->T('search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                    }
                }
            });
            //Create
            $("#mg-cloudInit-form").validator().on("submit", function (e) {
                if (e.isDefaultPrevented())
                    return;
            });
            //
            jQuery('#pm-cloudInit-content').MGModalActions();

            $('#pm-cloudInit-content').on("rowDelted", function (e) {
                mgDataTable.api().ajax.reload(function () {}, false);
            });
            $('#pm-cloudInit-content').on("rowSaved", function (e) {
                mgDataTable.api().ajax.reload(function () {}, false);
            });
            
            $("#mg-modal-cloudInit-add").on("hidden.bs.modal", function(){
                $(this).MGresetInputData();
            });
            $("#mg-input-modules").select2();
            $("#mg-input-modules-edit").select2();

        });
    </script>

{/literal}