{**********************************************************************
* ProxmoxVPS product developed. (2016-12-21)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pm-ssh-content" >
    <legend>{$MGLANG->T('SSH Keys')}</legend>
    <table class="table table-hover" id="pm-data-list" >
        <thead>
            <tr>
                <th>{$MGLANG->T('Id')}</th>
                <th>{$MGLANG->T('Name')}</th>
                <th>{$MGLANG->T('Passphrase')}</th>
                <th>{$MGLANG->T('Public Key')}</th>
                <th>{$MGLANG->T('Private Key')}</th>
                <th style="width: 80px; text-align: center;">{$MGLANG->T('Actions')}</th>
            </tr>
        </thead>
        <tbody>
        </tbody> 
    </table>
    <div class="well well-sm" style="margin-top:10px;">
        <button class="btn btn-default btn-inverse" type="button" id="mg-button-refresh" data-target="#mg-modal-ssh-add" data-toggle="modal" >               
            <i class="glyphicon glyphicon-plus"></i>
            {$MGLANG->T('Add')}
        </button>
    </div>
    {*Create*}
    <form id="mg-ssh-form" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-ssh-add"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('New SSH Key')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-name" class="col-sm-2 control-label">{$MGLANG->T('Name')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[name]" id="mg-input-name" 
                                       placeholder=""  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-passphrase" class="col-sm-2 control-label">{$MGLANG->T('Passphrase')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[passphrase]" id="mg-input-passphrase" 
                                       placeholder="" >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-public" class="col-sm-2 control-label">{$MGLANG->T('Public')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[public]" id="mg-input-public" 
                                       placeholder="/root/.ssh/id_rsa.pub"  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-private" class="col-sm-2 control-label">{$MGLANG->T('Private')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[private]" id="mg-input-private" 
                                       placeholder="/root/.ssh/id_rsa"  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="sshSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Edit*}
    <form id="mg-ssh-form-edit" method="post" data-toggle="validator" role="form" class="form-horizontal">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-ssh-edit" data-modal-load="sshDetails"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">{$MGLANG->T('Edit SSH Key')} <strong data-modal-var="name"></strong></h4>
                    </div>
                    <div class="modal-loader" style="display:none;"></div>
                    <div class="modal-body">
                        <div class="modal-alerts">
                            <div style="display:none;" data-prototype="error">
                                <div class="note note-danger">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                    <a style="display:none;" class="errorID" href=""></a>
                                </div>
                            </div>
                            <div style="display:none;" data-prototype="success">
                                <div class="note note-success">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                    <strong></strong>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="ssh[id]" data-target="" value=""/>
                        <div class="form-group row">
                            <label for="mg-input-name-edit" class="col-sm-2 control-label">{$MGLANG->T('Name')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[name]" id="mg-input-name-edit" 
                                       placeholder=""  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                         <div class="form-group row">
                            <label for="mg-input-passphrase-edit" class="col-sm-2 control-label">{$MGLANG->T('Passphrase')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[passphrase]" id="mg-input-passphrase-edit" 
                                       placeholder=""   >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mg-input-public-edit" class="col-sm-2 control-label">{$MGLANG->T('Public')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[public]" id="mg-input-public-edit" 
                                       placeholder="/root/.ssh/id_rsa.pub"  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                        <div class="form-group row">
                            <label for="mg-input-private-edit" class="col-sm-2 control-label">{$MGLANG->T('Private')}</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="ssh[private]" id="mg-input-private-edit" 
                                       placeholder="/root/.ssh/id_rsa"  required >
                                <div class="help-block with-errors"></div>
                            </div>
                        </div> 
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary btn-inverse" data-modal-action="sshSave">{$MGLANG->T('modal','Save Changes')}</button>
                        <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    {*Delete*}
    <div class="modal fade" tabindex="-1" role="dialog" id="mg-modal-ssh-delete" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('SSH Key:')} <span data-modal-title=""></span></h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="id" data-target="" value=""/>
                    <p class="text-center">{$MGLANG->T(' Are you sure you want to delete that SSH Key?')} <b></b> <span></p>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger btn-inverse" data-modal-action="sshDelete">{$MGLANG->absoluteT('Delete')}</button>
                    <button type="button" class="btn btn-default btn-inverse" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                </div>
            </div>
        </div>
    </div>
</div>
{literal}
    <script type="text/javascript">
        var mgDataTable;
        jQuery(document).ready(function () {
            mgDataTable = $('#pm-data-list').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "serverSide": false,
                "order": [[0, "asc"]],
                ajax: function (data, callback, settings) {
                    JSONParser.request(
                            'sshList'
                            , {
                                filter: {}
                                , limit: data.length
                                , offset: data.start
                                , order: data.order
                                , search: data.search
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                    null,
                    null
                            , null
                            , null
                            ,null
                            , {orderable: false}

                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                    "search": "{/literal}{$MGLANG->T('search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                    }
                }
            });
            //Create
            $("#mg-ssh-form").validator().on("submit", function (e) {
                if (e.isDefaultPrevented())
                    return;
            });
            //
            jQuery('#pm-ssh-content').MGModalActions();

            $('#pm-ssh-content').on("rowDelted", function (e) {
                mgDataTable.api().ajax.reload(function () {}, false);
            });
            $('#pm-ssh-content').on("rowSaved", function (e) {
                mgDataTable.api().ajax.reload(function () {}, false);
            });

        });
    </script>

{/literal}