{**********************************************************************
* ProxmoxVPS product developed. (2016-10-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}
{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div id="proxmox_graphs_alert"></div>
<div class="bs-docs-example so_graph_cpu">
    <canvas id="pm-chart-cpu" width="200" height="200"></canvas>
</div>
<div class="bs-docs-example so_graph_mem">
    <canvas id="pm-chart-mem" width="200" height="200"></canvas>
</div>
<div class="bs-docs-example so_graph_net">
    <canvas id="pm-chart-net" width="200" height="200"></canvas>
</div>
<div class="bs-docs-example so_graph_disk">
    <canvas id="pm-chart-disk" width="200" height="200"></canvas>
</div>

{literal}
    <style type="text/css">

        .bs-docs-example:after {background-color: #F5F5F5;border: 1px solid #DDDDDD;border-radius: 4px 0 4px 0;color: #9DA0A4;font-size: 12px;font-weight: bold;left: -1px;padding: 3px 7px;position: absolute;top: -1px;}
        .bs-docs-example {background-color: #FFFFFF;border: 1px solid #DDDDDD;border-radius: 4px 4px 4px 4px;margin: 15px 0;padding: 39px 19px 14px;position: relative; min-height:300px;}
        .so_graph_cpu:after {content: "{/literal}{$MGLANG->absoluteT("CPU Usage %")}{literal}";}
        .so_graph_mem:after {content: "{/literal}{$MGLANG->absoluteT("Memory Usage")}{literal}";}
        .so_graph_net:after {content: "{/literal}{$MGLANG->absoluteT("Network Traffic")}{literal}";}
        .so_graph_disk:after {content: "{/literal}{$MGLANG->absoluteT("Disk IO")}{literal}";}

    </style>
    <script>
        $(document).ready(function () {
            function mgBytesToSize(bytes) {
                var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB'];
                if (bytes <= 1) {
                    if (bytes !== 0) {
                        var bytes = Number(bytes).toFixed(1);
                    }
                    return bytes + ' Byte';
                }
                var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));
                return Math.round(bytes / Math.pow(1024, i), 2) + ' ' + sizes[i];
            }
            $("#timeframe").change(function (e) {
                e.preventDefault();
                var timeframe;
                $("#timeframe option:selected").each(function () {
                    timeframe = $(this).val();
                });

                JSONParser.request("charts", {"timeframe": timeframe}, function (data) {
                    var cpu = document.getElementById("pm-chart-cpu").getContext('2d');
                    new Chart(cpu, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.cpu,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: '%'
                                        },
                                        ticks: {
                                            beginAtZero: true
                                        }
                                    }]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        var used = Number(tooltipItem.yLabel).toFixed(2);
                                        return used + "%";
                                    }
                                }
                            }
                        }
                    });
                    var mem = document.getElementById("pm-chart-mem").getContext('2d');
                    new Chart(mem, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.mem,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: 'Bytes'
                                        },
                                        ticks: {
                                            beginAtZero: true,
                                            callback: function (label, index, labels) {
                                                return mgBytesToSize(label);
                                            }
                                        },
                                    }
                                ]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        return mgBytesToSize(tooltipItem.yLabel);
                                    }
                                }
                            }
                        }
                    });
                    var net = document.getElementById("pm-chart-net").getContext('2d');
                    new Chart(net, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.net,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: 'Bytes/s'
                                        },
                                        ticks: {
                                            beginAtZero: true,
                                            callback: function (label, index, labels) {
                                                return mgBytesToSize(label);
                                            }
                                        },
                                    }]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        return mgBytesToSize(tooltipItem.yLabel) + "/s";
                                    }
                                }
                            }
                        }
                    });
                    var disk = document.getElementById("pm-chart-disk").getContext('2d');
                    new Chart(disk, {
                        type: 'line',
                        label: 'Dataset',
                        data: data.disk,
                        options: {
                            maintainAspectRatio: false,
                            scales: {
                                yAxes: [{
                                        scaleLabel: {
                                            display: true,
                                            labelString: 'Bytes/s'
                                        },
                                        ticks: {
                                            beginAtZero: true,
                                            callback: function (label, index, labels) {
                                                return mgBytesToSize(label);
                                            }
                                        },
                                    }]
                            },
                            tooltips: {
                                callbacks: {
                                    label: function (tooltipItem, data) {
                                        return mgBytesToSize(tooltipItem.yLabel) + "/s";
                                    }
                                }
                            }
                        }
                    });
                }, "#proxmox_load4");

                return false;
            });

            $("#graphs").click(function (e) {
                e.preventDefault();
                $("#timeframe").trigger('change');
            });

            $("#timeframe").trigger('change')


        });
    </script>
{/literal}