var JSONParser = {
    url:            false,
    type:           'post',
    startString:    '<!--JSONRESPONSE#',
    stopString:     '#ENDJSONRESPONSE -->',
    startException: '<!--EXCEPTION#',
    stopException:  '#ENDEXCEPTION -->',
    currentPage:    false,
    enableDebug:    false,
    requestCounter: 0,
    loaders:[],
    
    create: function(url,type){
        this.url = url;
        if(type !== undefined)
        {
            this.type = type;
        }
    },
    debug: function(json)
    {
        var exStart = json.indexOf(this.startException);
        if(exStart !== -1)
        {        
            exception = json.substr(exStart+this.startException.length,json.indexOf(this.stopException)-exStart-this.startException.length);
            console.log("EXCEPTION");
            console.log(jQuery.parseJSON(exception));
            console.log("END OF EXCEPTION");
        }
    },
    getJSON: function(json,disableError,loader ){
            if(this.enableDebug)
            {
                this.debug(json);
            }
            
            this.requestCounter--;
            if(this.requestCounter == 0)
            {

            }

            if(loader === undefined)
            {
                    jQuery('#MGLoader').loader('hide');
            }else if(loader!="off"){
                    jQuery(loader).loader('hide');  
            }
                
            var start = json.indexOf(this.startString);            
            json = json.substr(start+this.startString.length,json.indexOf(this.stopString)-start-this.startString.length);
                               
            try{
                var response = jQuery.parseJSON(json);
                if(response.result && response.result == 'error' && disableError === undefined)
                {
                    var config = {};
                    
                    if(response.errorID)
                    {
                        config.errorID = response.errorID;
                    }
                    jQuery('#MGAlerts').alerts('danger',response.error,config);
                    jQuery('.modal.in').modal('hide');
                    jQuery('#MGAlerts .alert').delay(1000 *20).fadeOut();
                }               
                return response;
            }catch(e)
            {
                if(json.indexOf("dologin.php") > 0)
                {
                    document.location = document.location;
                    document.location.reload(true)
                }
                
                jQuery('#MGAlerts').alerts('danger',"Something Goes Wrong, check logs, contact admin");
                jQuery('.modal.in').modal('hide');
                return false;
            }
    },
    rawDataRequest: function(action, data, fields,callback, loader, disableErrors)
    {
        var that = this;
        
        if(fields === undefined)
        {
            fields = {};
        }

        data.append('action',action);
        if(that.currentPage != false)
        {
            data.append('page',that.currentPage);
        }
        
        
        jQuery.each(fields, function(key, value) {
            data.append('data['+key+']', value);
        });

        if(loader === undefined)
        {
            jQuery('#MGLoader').loader();
        }else if(loader!="off")
            jQuery(loader).loader(); 
        
        this.requestCounter++;

        switch(this.type)
        {
            default:
                jQuery.ajax({
                    type: 'post',
                    url: that.url+'&action='+action,
                    data: data,
                    success: function (response) {
                          
                        parsed = that.getJSON(response,disableErrors);
                        if(parsed !== false)
                        {
                            if(callback === undefined)
                            {
                                console.log(parsed);
                            }
                            else
                            {
                                if(parsed.success)
                                {
                                    callback(parsed.success);
                                }
                                else
                                {
                                      
                                    if(parsed.errors)
                                    {
                                        
                                        callback({error:parsed.errors.join()});
                                        
                                    }
                                }
                            }
                        }
                    },
                    cache: false,
                    contentType: false,
                    processData: false,
                });
        }
    },
    request: function (action, data, callback, loader, disableErrors) {
        var details = {};
        var that = this;
       
        if(data === undefined){
            data = {};
        }
        
        if(typeof data === "object"){
            data['subaction'] = action;
            if(this.currentPage){
                data['page']    = this.currentPage;
            }
            data.data    = jQuery.extend({}, data);
        }else if(typeof data ===  "string"){
            data += "&subaction="+action;
            if(this.currentPage)
              data +="&page=" +this.currentPage;
        }
   
        if(loader === undefined)
        {
            jQuery('#MGLoader').loader();
        }else if(loader!="off"){
            jQuery(loader).loader();  
       }
        this.requestCounter++;

        switch(this.type)
        {
            default:
                jQuery.post(this.url+'&subaction='+action,data,function(response){
                   
                    parsed = that.getJSON(response,disableErrors,loader);
                 
                    if(parsed !== false)
                    {
                        if(callback === undefined)
                        {
                            console.log(parsed);
                        }
                        else
                        {
                            
                            if(parsed.success)
                            {
                                callback(parsed.success);
                            }
                            else if(parsed.error && disableErrors !== undefined){
                                disableErrors(parsed);
                            }
                            else
                            {
                                if(parsed.errors)
                                {
                                    callback({error:parsed.errors.join()});
                                }
                            }
                        }
                    }
                   
                }).fail(function(response) {
                    var msg = "Something Goes Wrong, check logs, contact admin";
                    if(response.responseText){
                           msg = response.responseText;
                    }else if(response.statusText && response.statusText !== undefined){
                          msg = response.statusText;
                    }
                    jQuery('#MGAlerts').alerts('danger',msg);
                    if(loader === undefined)
                    {
                            jQuery('#MGLoader').loader('hide');
                    }else if(loader!="off"){
                            jQuery(loader).loader('hide');  
                    }
                });
        }
    }
};


function ucfirst(string)
{
    return string.charAt(0).toUpperCase() + string.slice(1);
}

jQuery.fn.alerts = function(type,message,configs){    
    if(message=='error')
        return;
    configs = jQuery.extend({
        items: null
        ,confirmCallback: null
        ,error: null
        ,errorID: null
    }, configs);
    
    items           = configs.items;
    confirmCallback = configs.confirmCallback;
    error           = configs.error;
    
    var container = this.find('.alertContainer');
    
    var now = new Date().getTime();
    
    var current = new Array();
    
    var count = 0;
    
    var max = 2;
    
    jQuery(container).children('div[class*="alert-"]').each(function(){
        var time = new String(jQuery(this).attr('data-time'));
        current[time] = 1;
        count++;
    });
    
    current.sort();
        
    if(count > max)
    {
        for(x in current)
        {
            var set = parseInt(x);
            if(set > 0)
            {
                if( now-set > 10 && count-max > 0)
                {
                    jQuery(container).find('div[data-time="'+set+'"]').remove();
                    count--;
                }
            }
        }
    }
        
    if(type === 'clear')
    {
        jQuery(container).children('div[class*="alert-"]').remove();
        return;
    }
        
    var prototype = jQuery(container).find('.alertPrototype .alert-'+type).clone();

    prototype.find('p').append(message);

    if(items != undefined)
    {
        var html = '<ul>';
        for(x in items)
        {
            html += '<li>'+items[x]+'</li>';
        }
        html += '</ul>';
        prototype.append(html);
    }   
    
    prototype.find('.close').click(function(){
       jQuery(this).parent().remove(); 
    });
    
    prototype.attr('data-time',now);
    
    if(configs.errorID)
    {
        prototype.find('.errorID').attr('href','index.php?page=ErrorList&action=SearchToken&tokenID='+configs.errorID).text(configs.errorID).show();
    }
    
    console.log(prototype);
        
    jQuery(container).append(prototype);
};

jQuery.fn.loader = function(action)
{
    if(action === undefined || action == 'show')
    {
        jQuery('body').css('position','relative');
        jQuery(this).show();
    }
    else
    {
        jQuery(this).hide();
    }
}

jQuery.fn.MGModalActions = function(){    
                var that = this;
                
                this.putField = function(modal,name,value){
                    
                    var element = jQuery('#'+modal).find('*[name="'+name+'"]');
                    
                    if(element.length < 1){
                        return false;
                    }
                    switch(element.prop('tagName').toLowerCase())
                    {
                        case 'input':
                            if(element.attr('type') == 'checkbox')
                            {
                                if(value == 1)
                                {
                                    element.attr('checked','checked');
                                }
                                else
                                {
                                    element.removeAttr('checked');
                                }
                            }
                            else
                            {
                                element.val(value);
                            }
                        break;
                        case 'textarea':
                             element.text(value); 
                        break;
                        case 'select':
                              
                            element.val(value);
                        break;
                    }
                    
                    element.change();
                }
                
                this.on('click','*[data-modal-id]', function(event){
                    var target = jQuery(event.currentTarget).attr('data-modal-target');
                    
                    if(!target)
                    {
                        throw "Define target ID (data-modal-target)";
                    }
                                        
                    var modal = jQuery(event.currentTarget).attr('data-modal-id');
                   
                    if(!modal)
                    {
                        throw "Define modal id (data-modal-id)";
                    }
                   
                    var action = jQuery('#'+modal).attr('data-modal-load');
                    var callback  = jQuery('#'+modal).attr('data-modal-callback');
                    jQuery('#'+modal).find('[data-target]').val(target);

                    if(action)
                    {

                        jQuery('#'+modal).find('.modal-body').hide();
                        jQuery('#'+modal).find('.modal-loader').show();

                        JSONParser.request(
                            action
                            , {
                                target: target
                            }
                            , function(data) {
                                if(data.target)
                                {
                                    for(x in data.target)
                                    {
                                        var type = Object.prototype.toString.call( data.target[x] );
                                        if( type === '[object Array]' ) {
                                              that.putField(modal,x,data.target[x]);
                                        }
                                        else if( type === '[object Object]' ) {
                                            for(y in data.target[x])
                                            {
                                                  
                                                that.putField(modal,x+"["+y+"]",data.target[x][y]);
                                            }
                                        }
                                        else
                                        {
                                            that.putField(modal,x,data.target[x]);
                                        }
                                    }
                                    if( callback){
                                          window[callback]( data);
                                    }
                                }

                                if(data.error)
                                {
                                    jQuery('#MGAlerts').alerts('success',data.error);
                                    jQuery('#'+modal).find('*[data-modal-action]').attr('disabled','disabled');
                                }
                                else
                                {
                                    jQuery('#'+modal).find('*[data-modal-action]').removeAttr('disabled');
                                }

                                if(data.vars)
                                {
                                    jQuery('#'+modal).find('*[data-modal-var]').each(function(){
                                        var name = jQuery(this).attr('data-modal-var');
                                        if(data.vars[name])
                                        {
                                            jQuery(this).text(data.vars[name]).show();
                                        }
                                        else
                                        {
                                            jQuery(this).text();
                                            jQuery(this).hide();
                                        }
                                    });
                                }

                                jQuery('#'+modal).find('.modal-body').show();
                                jQuery('#'+modal).find('.modal-loader').hide();
                            }
                        );
                    }
                    else
                    {
                        jQuery('#'+modal).find('.modal-body').show();
                        jQuery('#'+modal).find('.modal-loader').hide();
                    }

                    jQuery('#'+modal).modal();
                });
                
                jQuery('*[data-modal-action]').click(function(){
                    var action = jQuery(this).attr('data-modal-action');
                    var callback  = jQuery(this).attr('data-modal-callback');
                    var data = {};
                    jQuery(this).closest('.modal').find('input,select,textarea').each(function(){
                        if(!jQuery(this).is(':disabled') && jQuery(this).attr('name')!==undefined && jQuery(this).attr('name')!==false)
                        {
                            var name = jQuery(this).attr('name');
                            name  = name.replace("[]", ""); 
                            var regExp = /([a-zA-Z_0-9]+)\[([a-zA-Z_0-9]+)\]/g;

                            if(result = regExp.exec(name))
                            {
                                if(data[result[1]] === undefined)
                                {
                                    data[result[1]] = {}
                                }
                                
                                if(jQuery(this).attr('type') == 'checkbox')
                                {
                                    if(jQuery(this).attr('checked') == 'checked')
                                    {
                                        data[result[1]][result[2]] = jQuery(this).val();
                                    }
                                }
                                else
                                {
                                    data[result[1]][result[2]] = jQuery(this).val();
                                }
                            }
                            else
                            {
                                data[name] = jQuery(this).val();
                            }
                        }
                    });
                    var modal  = jQuery(this).closest('.modal');
                    JSONParser.request(
                        action
                        ,data
                        , function(data) {
                            if(data.saved)
                            {
                                for(var x in data.saved)
                                {
                                    if(x == 'DT_RowData')
                                    {
                                        var selector = 'tr';
                                        for(var z in data.saved['DT_RowData'])
                                        {
                                            selector += '[data-'+z+'="'+data.saved['DT_RowData'][z]+'"]';
                                        }
                                        var row = that.find(selector);
                                    }
                                }
                                if(row)
                                {
                                    for(var x in data.saved)
                                    {
                                        if(x != 'DT_RowData')
                                        {
                                            jQuery(row).find('td:eq('+x+')').html(data.saved[x]);
                                        }
                                    }
                                }
                                row = null;
                            }

                            if(data.deleted)
                            {
                                for(var x in data.deleted)
                                {
                                    if(x == 'DT_RowData')
                                    {
                                        var selector = 'tr';
                                        for(var z in data.deleted['DT_RowData'])
                                        {
                                            selector += '[data-'+z+'="'+data.deleted['DT_RowData'][z]+'"]';
                                        }
                                        var row = that.find(selector);
                                    }
                                }
                                if(row)
                                {
                                    row.remove();
                                }
                                row = null;
                            }
                            
                            if(data.success)
                            {
                                jQuery('#MGAlerts').alerts('success',data.success);
                            }
                        
                            if(modal)
                                 modal.find(".alert-danger").hide();
                                 
                            if(data.error && !modal)
                            {
                                jQuery('#MGAlerts').alerts('success',data.error);
                                jQuery('.modal.in').modal('hide');
                                
                            }
                            else if(modal && data.error){
                                 modal.find(".alert-danger").show();
                                 modal.find(".alert-danger").text(data.error);
                            }else
                                  jQuery('.modal.in').modal('hide');

                            jQuery('#MGAlerts .alert').delay(1000 *5).fadeOut();

                            if( callback){
                                          window[callback]( data);
                            }
                        }
                    );
                });
              
            }
            
jQuery.fn.buttonLoader = function(action)
{
    
     var obj = $(this);
    if(action === undefined || action == 'show' || action == true)
    {
        obj.addClass('disabled');
        obj.append(' <i class="fa fa-spinner fa-pulse"></i>');
    }
    else
    {
        $('.fa-spinner', obj).remove();
        obj.removeClass('disabled');
    }
}
            