{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{** 
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-backup_jobs"></i>
        <h1>{$_LANG.vps.backup_jobs}</h1>
        <p>{$_LANG.jobs.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table table-app">
                <thead>
                    <tr>
                        <th>{$_LANG.vps.backup_id}</th>
                        <th>{$_LANG.vps.backup_start_time}</th>
                        <th>{$_LANG.vps.backup_day_of_week}</th>
                        <th style="width:100px; ">{$_LANG.vps.backup_compress} </th>
                        <th>{$_LANG.vps.backup_mode}</th>
                        <th style="width:100px; ">{$_LANG.jobs.emailNotification}</th>
                        <th style="width:80px; text-align: center;">{$_LANG.vps.backup_actions}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$backupJobs item=job}
                        <tr>
                            <td class="cell-sm-12">{$job.displayId} </td>
                            <td class="cell-sm-12">{$job.starttime}</td>
                            <td class="cell-sm-12" style="word-break:normal !important;">
                                {assign var="i" value='1'}
                                {assign var="total" value=$job.days|count}
                                {foreach from=$job.days item=d}
                                    {$_LANG.vps.week_array.$d}{assign var="i" value=$i+1}{if $i <=$total},{/if}
                                {/foreach}
                            </td>
                            <td class="cell-sm-12"> {if $job.compress=="0"}{$_LANG.jobs.compressNone}{else}{$job.compress}{/if}</td>
                            <td class="cell-sm-12">{$job.mode}</td>
                            <td class="cell-sm-12">{if $job.mailto} <i class=" glyphicon glyphicon-ok"></i>{else}<i class="glyphicon glyphicon-remove"></i>{/if}</td>
                            <td class="cell-sm-12" style=" text-align: center;"> 
                                <a href="#" class="btn btn-icon pm-edit-job" 
                                   data-target="#pm-modal-edit"  data-toggle="modal" title="{$_LANG.general.edit}"
                                   data-compress="{$job.compress}" data-mode="{$job.mode}" data-id="{$job.id}"  data-mailto="{$job.mailto}"  data-starttime="{$job.starttime}" data-dow="{$job.dow}" >
                                    <i class="fa fa-pencil"></i>
                                </a>

                                <a class="btn btn-icon pm_delete" href="#" data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$job.id}" data-modal-title="{$job.displayId}" title="{$_LANG.vps.delete}">
                                    <i class="fa fa-trash"></i>
                                </a>
                            </td>
                        </tr>
                    {/foreach}
                    <tr id="so_empty_rules" {if $backupJobs|@count !=0}  style="display:none;"{/if}>
                        <td colspan="12" style="text-align:center;">
                            {$_LANG.jobs.empty}
                        </td>
                    </tr> 
                </tbody>
            </table>

            {if $create}
                <div style="text-align: right;" >
                    <button class="btn btn-success" data-toggle="modal" data-target="#pm-modal-add"> {$_LANG.vps.backup_new_job} </button>
                </div>   
            {/if}
            <br/><br/>

            <!-- pm-modal-add-->
            <div class="modal fade" id="pm-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$_LANG.jobs.add_new}</h4>
                            </div>
                            <div class="modal-body">     
                                <div class="modal-alerts">
                                     <div class="alertContainer">
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-danger" role="alert">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                                <a style="display:none;" class="errorID" href=""></a>
                                            </div>
                                        </div>
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-success">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                            </div>
                                        </div>
                                    </div>
                                 </div>
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-startTime" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_start_time}</label>
                                        </td>
                                        <td>
                                            <input type="text"  id="pm-startTime" name="backupjob[starttime]" value="00:00" class="form-control" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-dow" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_day_of_week}</label>
                                        </td>
                                        <td>
                                            {foreach from=$_LANG.vps.week_array item=dayName key=day}
                                                <label class="checkbox-inline-td">
                                                <input id="pm-{$day}" type="checkbox" name="backupjob[dow][]"  value="{$day}" />
                                                <span>{$dayName}</span>
                                                </label>
                                            {/foreach}  
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-backup_compress" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_compress}</label>
                                        </td>
                                        <td>
                                            <select name="backupjob[compress]" id="pm-backup_compress"  class="form-control" style="min-width: 105px;">
                                                <option value="0">None</option>
                                                <option value="lzo" >LZO (fast)</option>
                                                <option value="gzip">GZIP (good)</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-backup_mode" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_mode}</label>
                                        </td>
                                        <td>
                                            <select name="backupjob[mode]" id="pm-backup_mode" class="form-control" style="min-width: 105px;">
                                                <option value="snapshot">Snapshot</option>
                                                <option value="suspend" >Suspend</option>
                                                <option value="stop">Stop</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-mailto" class="control-label" style="display:inline;float:none;">{$_LANG.jobs.mailto}</label>
                                        </td>
                                        <td>
                                            <label class="checkbox-inline-td">
                                            <input id="pm-mailto" type="checkbox" name="backupjob[mailto]"  value="1" /> <span>{$_LANG.jobs.mailtoDes}</span>
                                            </label>
                                        </td>
                                    </tr>
                                </table>
                                <div class="modal-loader" style="display:none;"></div>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary mg-save" name="subaction" id="modal2_button_submit"  value="create" >{$_LANG.general.add}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <!-- pm-modal-edit-->
            <div class="modal fade" id="pm-modal-edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <input type="hidden" name="backupjob[id]" id="pm-edit-id" value=""/>
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4>{$_LANG.jobs.edit}</h4>
                            </div>
                            <div class="modal-body">     
                                <div class="modal-alerts">
                                     <div class="alertContainer">
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-danger" role="alert">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                                <a style="display:none;" class="errorID" href=""></a>
                                            </div>
                                        </div>
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-success">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                            </div>
                                        </div>
                                    </div>
                                 </div>
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-edit-startTime" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_start_time}</label>
                                        </td>
                                        <td>
                                            <input type="text"  id="pm-edit-startTime" class="form-control"  name="backupjob[starttime]" value="00:00" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-edit-dow" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_day_of_week}</label>
                                        </td>
                                        <td>
                                            {foreach from=$_LANG.vps.week_array item=dayName key=day}
                                                <label class="checkbox-inline-td">
                                                    <input id="pm-edit-{$day}" type="checkbox" name="backupjob[dow][]"  value="{$day}" /> <span>{$dayName}</span>
                                                </label>
                                            {/foreach}  
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-edit-compress" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_compress}</label>
                                        </td>
                                        <td>
                                            <select name="backupjob[compress]" class="form-control"  id="pm-edit-compress" style="min-width: 105px;">
                                                <option value="0">None</option>
                                                <option value="lzo" >LZO (fast)</option>
                                                <option value="gzip">GZIP (good)</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-edit-mode" class="control-label" style="display:inline;float:none;">{$_LANG.vps.backup_mode}</label>
                                        </td>
                                        <td>
                                            <select name="backupjob[mode]" id="pm-edit-mode"  class="form-control"  style="min-width: 105px;">
                                                <option value="snapshot">Snapshot</option>
                                                <option value="suspend" >Suspend</option>
                                                <option value="stop">Stop</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:28%;"> 
                                            <label for="pm-edit-mailto" class="control-label" style="display:inline;float:none;">{$_LANG.jobs.mailto}</label>
                                        </td>
                                        <td>
                                            <label class="checkbox-inline-td">
                                                <input id="pm-edit-mailto" type="checkbox" name="backupjob[mailto]"  value="1" /> <span>{$_LANG.jobs.mailtoDes}</span>
                                           </label>
                                        </td>
                                    </tr>
                                </table>
                                <div class="modal-loader" style="display:none;"></div>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary mg-save" name="subaction" id="modal2_button_submit"  value="edit" >{$_LANG.general.save}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.jobs.labelDelete} <strong></strong></h4>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;   margin-top: 50px; text-align: center;"> 
                                <div>{$_LANG.jobs.delete} </div>
                            </div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.vps.delete}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
{literal}
    <style>
        #mg-wrapper .table-app th{
            vertical-align: text-top !important;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".pm_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

            //edit
            $(".pm-edit-job").click(function () {
                //clear
                $("#pm-modal-edit, input:text, select").each(function () {
                    $(this).val('');
                });
                $("#pm-modal-edit, input:checkbox").each(function () {
                    $(this).attr('checked', false);
                });
                $("#pm-edit-id").val('');

                $("#pm-edit-startTime").val($(this).attr('data-starttime'));
                var dow = $(this).attr('data-dow');

                if (dow.indexOf("mon") !== -1)
                    $("#pm-edit-mon").prop('checked', true);
                if (dow.indexOf("tue") !== -1)
                    $("#pm-edit-tue").prop('checked', true);
                if (dow.indexOf("wed") !== -1)
                    $("#pm-edit-wed").prop('checked', true);
                if (dow.indexOf("thu") !== -1)
                    $("#pm-edit-thu").prop('checked', true);
                if (dow.indexOf("fri") !== -1)
                    $("#pm-edit-fri").prop('checked', true);
                if (dow.indexOf("sat") !== -1)
                    $("#pm-edit-sat").prop('checked', true);
                if (dow.indexOf("sun") !== -1)
                    $("#pm-edit-sun").prop('checked', true);

                $("#pm-edit-compress").val($(this).attr('data-compress'));
                $("#pm-edit-mode").val($(this).attr('data-mode'));
                if ($(this).attr('data-mailto'))
                    $("#pm-edit-mailto").prop('checked', true);
                $("#pm-edit-id").val($(this).attr('data-id'));

            });

            //save 
            $("#pm-modal-add .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "create"
                        , $("#pm-modal-add form").serialize()
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    if(data.modalSuccess)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.modalSuccess);
                    window.location.reload();
                }, "#pm-modal-add .modal-loader");
            });
            
            //update
            $("#pm-modal-edit .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "edit"
                        , $("#pm-modal-edit form").serialize()
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    if(data.modalSuccess)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.modalSuccess);
                    window.location.reload();
                }, "#pm-modal-edit .modal-loader");
            });
            
        });
    </script>
{/literal}