{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
    <div class="alert alert-warning">
        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
        <p>{$MGLANG->T('Adding, editing or removing disk will reboot the VM.')}</p>
 
    </div>
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-disks"></i>
        <h1>{$_LANG.disks.header}</h1>
        <p>{$_LANG.disks.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table table-app">
                <thead>
                    <tr>
                        <th>{$_LANG.disks.name}</th>
                        <th>{$_LANG.disks.bus}</th>
                        <th>{$_LANG.disks.format}</th>
                        <th>{$_LANG.disks.backup}</th>
                        <th>{$_LANG.disks.size} </th>
                        <th style="width:80px; text-align: center;"> {$_LANG.disks.actions}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$disks item=disk}
                        <tr>
                            <td class="cell-sm-12">&nbsp; {assign var=temp value=$disk.name}  {if $_LANG.disks.$temp}{$_LANG.disks.$temp}{else}{$disk.name}{/if}</td>
                            <td class="cell-sm-12">&nbsp;{$disk.bus}</td>
                            <td class="cell-sm-12">&nbsp;{$disk.format}</td>
                            <td class="cell-sm-12">&nbsp;{if $disk.backup=="0"}{$_LANG.disks.backup_no}{else}{$_LANG.disks.backup_yes}{/if}</td>
                            <td class="cell-sm-12">&nbsp; {if $disk.sizeRaw}{$disk.sizeRaw} GB{/if}</td>
                            <td class="cell-sm-12 cell-actions"> 
                                {if !$disk.isPrimary}
                                    <a href="#" class="btn btn-icon pm-edit-hdd" 
                                       data-bus="{$disk.bus}"   data-sizeRaw="{$disk.sizeRaw}"
                                       data-backup="{$disk.backup}"
                                       data-target="#pmModalEditHdd"  data-toggle="modal" title="{$_LANG.general.edit}">
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                    <a class="btn btn-icon so_delete" href="#"   data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$disk.bus}" data-modal-title="{if $_LANG.disks.$temp}{$_LANG.disks.$temp}{else}{$disk.name}{/if}" title="{$_LANG.vps.delete}">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                {else}
                                    <span style="float: left; padding-left:30px;"> - </span>
                                {/if}
                            </td>
                        </tr>
                    {/foreach}
                    <tr id="so_empty_rules" {if $disks|@count !=0}  style="display:none;"{/if}>
                        <td colspan="12" style="text-align:center;">
                            {$_LANG.disks.empty}
                        </td>
                    </tr> 
                </tbody>
            </table>

            {if $maxHddsSize}
                <div style="text-align: right;" >
                    <button class="btn btn-success" data-toggle="modal" data-target="#pmModalAddHdd" id="so_button_add_rule"> {$_LANG.disks.add} </button>
                </div>   
            {/if}
            <br/><br/>

            <!-- pmModalAddHdd -->
            <div class="modal fade" id="pmModalAddHdd" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$_LANG.disks.add_new_hhd}</h4>
                            </div>
                            <div class="modal-body">
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddSize" class="control-label" style="display:inline;float:none;" >{$_LANG.disks.size_gb}:  </label>
                                        </td>
                                        <td>
                                            <div class="so_slider" style="width:80%"><div id="pm-slider-size"></div></div>
                                            <input type="text" name="hdd[size]"  id="pmHddSize" value="1" style="margin-bottom: -1px;" class="mondal_inputs cl_numeric"/>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddBus" class="control-label" style="display:inline;float:none;">{$_LANG.disks.bus}: </label>
                                        </td>
                                        <td>
                                            <select name="hdd[bus]" id="pmHddBus" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                {foreach from=$buss item=bus key=k}
                                                    <option value="{$bus}">{$bus}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddFormat" class="control-label" style="display:inline;float:none;" >{$_LANG.disks.format}:  </label>
                                        </td>
                                        <td>
                                            <select name="hdd[format]" id="pmHddFormat" style="width: 220px;" class="mondal_inputs">
                                                {foreach from=$formats item=format key=k}
                                                    <option value="{$k}">{$format}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddBackup" class="control-label" style="display:inline;float:none;" >{$_LANG.disks.backup}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="hdd[backup]" id="pmHddBackup" value="1" />
                                        </td>
                                    </tr>

                                </table>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="addDisk" >{$_LANG.general.add}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>


            <!-- pmModalAddHdd -->
            <div class="modal fade" id="pmModalEditHdd" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$_LANG.disks.edit_hhd}</h4>
                            </div>
                            <input type="hidden" id="pmEditHddBus" name="hdd[bus]" value="" />
                            <div class="modal-body">
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmEditHddSize" class="control-label" style="display:inline;float:none;" >{$_LANG.disks.size_gb}:  </label>
                                        </td>
                                        <td>
                                            <div class="so_slider" style="width:80%"><div id="pm-slider-size-edit"></div></div>
                                            <input type="text" name="hdd[size]"  id="pmEditHddSize" value="1" style="margin-bottom: -1px;" class="mondal_inputs cl_numeric"/>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddBackup-edit" class="control-label" style="display:inline;float:none;" >{$_LANG.disks.backup}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="hdd[backup]" id="pmHddBackup-edit" value="1" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="editDisk" >{$_LANG.general.save}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.disks.labelDelete} <strong></strong></h4>
                            </div>
                            <div class="modal-loader" style="display:none;"></div>
                            <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;   margin-top: 50px; text-align: center;"> 
                                <div>{$_LANG.disks.delete} </div>
                            </div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.vps.delete}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


{literal}
    <style type="text/css">
        .cl_numeric {width:50px;overflow:hidden;}
        .so_slider {width:400px;float:left;margin: 8px 10px 0 5px;}
    </style>
    <script type="text/javascript">

        var so_text_header_add = "{/literal}{$_LANG.disks.add_rule}{literal}";
        var so_text_header_edit = "{/literal}{$_LANG.disks.edit_rule}{literal}";
        var so_text_header_group_add = "{/literal}{$_LANG.disks.add_group}{literal}";
        var so_text_header_group_edit = "{/literal}{$_LANG.disks.edit_group}{literal}";
        var so_text_add = "{/literal}{$_LANG.general.add}{literal}";
        var so_text_ok = "{/literal}{$_LANG.general.ok}{literal}";
        var so_text_edit = "{/literal}{$_LANG.general.edit}{literal}";


        $(document).ready(function () {


            //$('[data-toggle="tooltip"]').tooltip();
            function proxmox_clear_inputs() {
                $(".mondal_inputs").each(function () {
                    $(this).val('');
                    if ($(this).attr("disabled"))
                        $(this).attr("disabled", false);
                    if ($(this).attr("checked"))
                        $(this).attr("checked", false);
                    if ($(this).size("#firewall_enable"))
                        ;
                    $("#firewall_enable").attr('checked', false);
                    if ($(this).size("#firewallGroup_enable"))
                        ;
                    $("#firewallGroup_enable").attr('checked', false);

                });
            }
            //Delete 
            $(".so_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

            //slider Add Hdd
            $("#pm-slider-size").slider({
                min: 1,
                max: {/literal}{$maxHddsSize}{literal},
                range: "min",
                value: $("#pmHddSize").val(),
                slide: function (event, ui) {
                    $("#pmHddSize").val(ui.value);
                }
            });

            //slider Edit Hdd
            $("#pm-slider-size-edit").slider({
                min: 1,
                max: {/literal}{$maxHddsSize}{literal},
                range: "min",
                value: $("#pmEditHddSize").val(),
                slide: function (event, ui) {
                    $("#pmEditHddSize").val(ui.value);
                }
            });

            //change
            $('.cl_numeric').change(function () {
                var max = $(this).closest('td').find('.so_slider').children('div').slider("option", "max");
                if ($(this).val() > max) {
                    $(this).val(max);
                }
                $(this).closest('td').find('.so_slider').children('div').slider("value", $(this).val());
            });

            //Edit HDD
            $(".pm-edit-hdd").click(function () {
                proxmox_clear_inputs();
                
                $("#pmEditHddBus").val($(this).attr('data-bus'));
                $("#pm-slider-size-edit").slider({
                    min:  parseInt($(this).attr('data-sizeRaw')),
                    max: {/literal}{$maxHddsSize}{literal}+ parseInt($(this).attr('data-sizeRaw')),
                    range: "min",
                    value: $("#pmEditHddSize").val(),
                    slide: function (event, ui) {
                        $("#pmEditHddSize").val(ui.value);
                    }
                });
                $("#pmEditHddSize").val($(this).attr('data-sizeRaw'));
                $("#pmHddBackup-edit").attr( "checked", $(this).attr('data-backup')!="1");
                
                $("#pm-slider-size-edit").slider("value", $(this).attr('data-sizeRaw'));
            });

        });
    </script>
{/literal}