{**********************************************************************
* ProxmoxVPS product developed. (2017-01-11)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}
{**
* @author Pawel Kopec <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-firewall"></i>
        <h1>{$MGLANG->T("Firewall Options")}</h1>
        <p>{$MGLANG->T("Define firewall options for your VPS.")}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <div style="overflow: auto ;  margin-bottom:15px; " id="mg-firewall-table-options">
                
            </div>
            <div style="text-align: center;" >
                <button class="btn btn-success" data-toggle="modal" data-target="#mg-modal-firewall-options"> {$MGLANG->T("Edit")}</button>
            </div>   
            <br/><br/>
        </div>
    </div>
    <form method="post" id="mg-firewall-form">
        <div class="modal fade bs-example-modal-lg" id="mg-modal-firewall-options" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" style="text-align:left">{$MGLANG->T('Edit: Firewall Options')} <strong></strong></h4>
                    </div>
                    <div class="modal-body" >
                        <div class="modal-alerts">
                            <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="mg-firewall-form-content">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary"  name="subaction">{$MGLANG->T('Save Changes')}</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('Close')}</button>
                    </div>
                </div>
            </div>
        </div> 
    </form>
</div>
{literal}
    <script type="text/javascript">
        
        var mgFirewallOptions = {
            run: function(){
                this.readOptions();
            },
            readOptions: function(){
                JSONParser.request("read",{},function(data){
                    $("#mg-firewall-table-options").html(data.html);
                });
            },
            optionsUpdate: function (e){
                e.preventDefault();
                var that = this;//target to form
                JSONParser.request("update",$("#mg-firewall-form").serialize(),function(data){
                    if(data.success){
                        jQuery('.modal.in').modal('hide');
                        jQuery('#MGAlerts').alerts('success', data.success);
                        that.readOptions();
                    }
                });
            },
            modalForm: function (e){
                var that = this;//target to modal
                JSONParser.request("modalForm",{},function(data){
                    $("#mg-firewall-form-content").html(data.html);
                });
            }
            
        }
        
        $(document).ready(function () {
            
            mgFirewallOptions.run();
            $("#mg-firewall-form").on("submit",function(e){
                mgFirewallOptions.optionsUpdate(e);
            });
            
            $("#mg-modal-firewall-options").on("show.bs.modal",function(e){
                mgFirewallOptions.modalForm(e);
            });
        });
    </script>
{/literal}