{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<script type="text/javascript" src="modules/servers/proxmoxVPS/templates/clientarea/default/assets/js/Chart.js"></script>
<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-graphs"></i>
        <h1>{$_LANG.vps.graphs}</h1>
        <div  align="right" style="margin-top: -35px;"> 
            <span id="pm-graph-loader" style="display: none; margin-right:30px; "><i class="loader-small"></i></span>
            <select name="timeframe" id="pm-timeframe">
                {foreach from=$chartsOptions item=time}
                    <option value="{$time}" {if $timeframeSelected eq $time} selected{/if}>{$MGLANG->absoluteT('vps',$time)}</option>
                {/foreach}
            </select>

        </div>
        <p style="margin-top: 15px;">{$_LANG.graph.description}</p>
    </div>

    <div class="module-body">
        <div class="section"> 
            <div class="bs-docs-example so_graph_cpu">
                <canvas id="pm-chart-cpu" width="200" height="200"></canvas>
            </div>
            <div class="bs-docs-example so_graph_mem">
                <canvas id="pm-chart-mem" width="200" height="200"></canvas>
            </div>
            <div class="bs-docs-example so_graph_net">
                <canvas id="pm-chart-net" width="200" height="200"></canvas>
            </div>
            <div class="bs-docs-example so_graph_disk">
                <canvas id="pm-chart-disk" width="200" height="200"></canvas>
            </div>
        </div>
    </div>
</div>



{literal}
    <style type="text/css">

        .bs-docs-example:after {background-color: #F5F5F5;border: 1px solid #DDDDDD;border-radius: 4px 0 4px 0;color: #9DA0A4;font-size: 12px;font-weight: bold;left: -1px;padding: 3px 7px;position: absolute;top: -1px;}
        .bs-docs-example {background-color: #FFFFFF;border: 1px solid #DDDDDD;border-radius: 4px 4px 4px 4px;margin: 15px 0;padding: 39px 19px 14px;position: relative; min-height:500px;}
        .so_graph_cpu:after {content: "{/literal}{$_LANG.vps.graph_cpu}{literal}";}
        .so_graph_mem:after {content: "{/literal}{$_LANG.vps.graph_mem}{literal}";}
        .so_graph_net:after {content: "{/literal}{$_LANG.vps.graph_net}{literal}";}
        .so_graph_disk:after {content: "{/literal}{$_LANG.vps.graph_disk}{literal}";}

    </style>
    <script type="text/javascript">
        function mgBytesToSize(bytes) {
            var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB'];
            if (bytes <=1){
                if(bytes !== 0){
                    var bytes = Number(bytes).toFixed(1);
                }
                return bytes +' Byte';
            }
            var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));
            return Math.round(bytes / Math.pow(1024, i), 2) + ' ' + sizes[i];
        }
        function pmGraphReload() {
            JSONParser.request(
                    'charts'
                    , {
                        "timeframe": $("#pm-timeframe").val()
                    }
            , function (data) {
                var cpu = document.getElementById("pm-chart-cpu").getContext('2d');
                new Chart(cpu, {
                    type: 'line',
                    label: 'Dataset',
                    data: data.cpu,
                    options: {
                        maintainAspectRatio: false,
                        scales: {
                            yAxes: [{
                                    scaleLabel: {
                                        display: true,
                                        labelString: '%'
                                    },
                                    ticks: {
                                        beginAtZero: true
                                    }
                                }]
                        },
                        tooltips: {
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var used = Number(tooltipItem.yLabel).toFixed(2);
                                    return used+"%";
                                }
                            }
                        }
                    }
                });
                var mem = document.getElementById("pm-chart-mem").getContext('2d');
                new Chart(mem, {
                    type: 'line',
                    label: 'Dataset',
                    data: data.mem,
                    options: {
                        maintainAspectRatio: false,
                        scales: {
                            yAxes: [{
                                    scaleLabel: {
                                        display: true,
                                        labelString: 'Bytes'
                                    },
                                    ticks: {
                                        beginAtZero: true,
                                        callback: function (label, index, labels) {
                                            return mgBytesToSize(label);
                                        }
                                    },
                                }
                            ]
                        },
                        tooltips: {
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    return mgBytesToSize(tooltipItem.yLabel);
                                }
                            }
                        }
                    }
                });
                var net = document.getElementById("pm-chart-net").getContext('2d');
                new Chart(net, {
                    type: 'line',
                    label: 'Dataset',
                    data: data.net,
                    options: {
                        maintainAspectRatio: false,
                        scales: {
                            yAxes: [{
                                    scaleLabel: {
                                        display: true,
                                        labelString: 'Bytes/s'
                                    },
                                    ticks: {
                                        beginAtZero: true,
                                        callback: function (label, index, labels) {
                                            return mgBytesToSize(label);
                                        }
                                    },
                                }]
                        },
                        tooltips: {
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    return mgBytesToSize(tooltipItem.yLabel)+"/s";
                                }
                            }
                        }
                    }
                });
                var disk = document.getElementById("pm-chart-disk").getContext('2d');
                new Chart(disk, {
                    type: 'line',
                    label: 'Dataset',
                    data: data.disk,
                    options: {
                        maintainAspectRatio: false,
                        scales: {
                            yAxes: [{
                                    scaleLabel: {
                                        display: true,
                                        labelString: 'Bytes/s'
                                    },
                                    ticks: {
                                        beginAtZero: true,
                                        callback: function (label, index, labels) {
                                            return mgBytesToSize(label);
                                        }
                                    },
                                }]
                        },
                        tooltips: {
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    return mgBytesToSize(tooltipItem.yLabel)+"/s";
                                }
                            }
                        }
                    }
                });
            },
                    "#pm-graph-loader");
        }
        $(document).ready(function () {
            $('#pm-timeframe').change(function (e) {
                e.preventDefault();
                pmGraphReload();
            });
            $('#pm-timeframe').change();
            setInterval("pmGraphReload()", 1000*60);
        });
    </script>
{/literal}