{**********************************************************************
* ProxmoxVPS product developed. (2015-07-22)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
* @params $_LANG, $prod_permissions, $mainURL
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
       <i class="icon-header icon-vps-details"></i>
        <h1 style="text-align: left">{$_LANG.vps.details}</h1>
        <p style="text-align: left">{$_LANG.home.description}</p>
    </div>
    <div class="module-body">
        <div class="section">
            <table class="table  pm-stats" style="width:100%;">
                <tr>
                    <td style="width:120px;">{$_LANG.vps.status}</td>
                    <td>
                        <span id="proxmox_status">
                            {if $status.status == "Running"}
                                <strong style="color:green;">{$status.status}</strong>
                            {else}
                                <strong style="color:red;">{$status.status}</strong>
                            {/if}
                        </span>
                        <span id="pm-vps-details-loader" style="display: none;"><i class="loader-small"></i></span>
                    </td>
                </tr>
                <tr>
                    <td style="width:200px;">{$_LANG.vps.node}</td>
                    <td>{$node}</td>
                </tr>
                {if $virtualization=="KVM"}
                    <tr>
                        <td style="width:200px;">{$_LANG.vps.name}</td>
                        <td>{$status.name}</td>
                    </tr>
                {/if}
                {if $config.ostemplate}
                    <tr>
                        <td style="width:200px;">{$_LANG.vps.template}</td>
                        <td>{$config.ostemplate}</td>
                    </tr>
                {/if}
                {if $status.uptime}
                    <tr>
                        <td>{$_LANG.vps.uptime}</td>
                        <td>{$status.uptime}</td>
                    </tr>
                {/if}
                <tr>
                    <td>{$_LANG.vps.cpu_usage}</td>
                    <td>{$status.cpu} % {$_LANG.general.graph_of} {$status.cpus} {if $virtualization=="LXC"} {$MGLANG->T("CPU")} {else} Cores {/if}{if $status.cpuunits} - {$_LANG.vps.cpu_units}: {$status.cpuunits}{/if}</td>
                </tr>
                <tr>
                    <td>{$_LANG.vps.memory_usage}</td>
                    <td>{if $kvm_balloon} 
                        {$_LANG.vps.dedicated}: {$status.balloon_min}  {$_LANG.vps.burst}:  {$status.maxmem} {$_LANG.general.usage}: {$status.mem}
                        {else}
                            {$_LANG.general.total}: {$status.maxmem} {$_LANG.general.usage}: {$status.mem}
                            <div class="progress pm-resource-usege">
                                <div class="progress-bar {if $status.memPercent >=90}progress-bar-danger{elseif $status.memPercent <=90 && $status.memPercent >=70}progress-bar-warning{elseif $status.memPercent <=70}progress-bar-success{/if}" 
                                     role="progressbar" aria-valuenow="{$status.memPercent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.memPercent}%;">
                                    {$status.memPercent}%
                                </div>
                            </div>
                        {/if}
                    </td>
                </tr>
                        {if $backupsFilesLimit}
                            <tr>
                                <td>{$_LANG.vps.Backups_Files_Limit}</td>
                                <td> {$backupsFilesLimit} </td>
                            </tr>
                        {/if}
                        {if $networkRate}
                            <tr>
                                <td>{$_LANG.vps.Network_Rate}</td>
                                <td> {$networkRate} </td>
                            </tr>
                        {/if}
                        {if $ipAddresses}
                            <tr>
                                <td>{$_LANG.vps.IP_Addresses}</td>
                                <td> {$ipAddresses} </td>
                            </tr>
                        {/if}
                        {if $virtualization=="KVM" && $vlan_tag}
                            <tr>
                                <td style="width:200px;">{$_LANG.vps.vlan_tag}</td>
                                <td>{$vlan_tag}</td>
                            </tr>
                        {/if}
                        {if $virtualization=="KVM" && $cdrom.iso}
                            <tr>
                                <td style="width:200px;" nowrap>{$_LANG.home.disc}</td>
                                <td>
                                    <span id="mg-cd-dvd-rom-iso">{$cdrom.iso}</span>
                                    <a href="#" class="btn btn-icon" id="pm-change-iso"   title="{$_LANG.general.edit}" >
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                </td>
                            </tr>
                        {/if} 
                        {if $virtualization=="KVM" && $bootOrder}
                            <tr>
                                <td>{$_LANG.home.bootOrder}</td>
                                <td>
                                    <div id="pm-vm-boot-order" style="display:inline">
                                        {$bootOrder}
                                    </div>
                                    <a href="#" class="btn btn-icon" id="pm-change-boot"  title="{$_LANG.general.edit}" >
                                        <i class="fa fa-pencil"></i>
                                    </a>

                                </td>
                            </tr>
                        {/if} 
                        
                    </table>
                    {if $displayButtons}
                        <div class="well buttons-content">
                            <h4 class="text-center mb-20">{$_LANG.vps.control_panel}</h4>
                            <div class="row">
                                {if $prod_permissions.per_boot=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button proxmox-vm-confirm" href="#" data-subaction="startVM" data-confirm="{$MGLANG->absoluteT("Do you really want to boot?")}">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-boot"></i>
                                                <span>{$_LANG.vps.boot}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}

                                {if $prod_permissions.per_reboot=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button proxmox-vm-confirm" href="#" data-subaction="rebootVM" data-confirm="{$MGLANG->absoluteT("Do you really want to reboot?")}">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-reboot"></i>
                                                <span>{$_LANG.vps.reboot}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_stop=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button proxmox-vm-confirm" href="#" data-subaction="stopVM" data-confirm="{$MGLANG->absoluteT("Do you really want to stop?")}">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-stop"></i>
                                                <span>{$_LANG.vps.stop}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_shutdown=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button proxmox-vm-confirm" href="#" id="btn_stop" data-subaction="shutdownVM" data-confirm="{$MGLANG->absoluteT("Do you really want to shutdown?")}">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-shutdown"></i>
                                                <span> {$_LANG.vps.shutdown}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_vnc_console=="Yes" && !$isProxmox4}
                                    <div class="col-lg-4 col-xs-6" >
                                        <a class="big-button" href="#" onclick="window.open('{$mainURL}&subaction=vncConsole', '', 'width=900,height=700');
                        return false;">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-vnc"></i>
                                                <span>{$_LANG.vps.console}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_novnc_console}
                                    <div class="col-lg-4 col-xs-6" >
                                        <a class="big-button" href="#" onclick="window.open('{$mainURL}&subaction=novnc', '', 'width=900,height=700');
                        return false;">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-novnc"></i>
                                                <span>{$_LANG.button_novnc}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_spice_console=="Yes"}
                                    <div class="col-lg-4 col-xs-6" >
                                        <a class="big-button" href="{$mainURL}&subaction=spice">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-spice"></i>
                                                <span>{$_LANG.button_spice}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}  
                            </div>
                        </div>


                        <div class="well buttons-content">
                            <h4 class="text-center mb-20">{$_LANG.home.AdditionalTools}</h4>
                            <div class="row">
                                {if $prod_permissions.per_reinstallation=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=reinstall">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-reinstall"></i>
                                                <span>{$_LANG.vps.reinstall}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.backup_list=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=backup">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-backup"></i>
                                                <span>{$_LANG.vps.backup}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.backup_jobs=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=backupJobs">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-backup_jobs"></i>
                                                <span>{$_LANG.vps.backup_jobs}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_mrtg_graphics=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=graph">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-graphs"></i>
                                                <span>{$_LANG.vps.graphs}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_task_history=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=taskHistory">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-task_history"></i>
                                                <span>{$_LANG.vps.task_history}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_network=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=network">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-network"></i>
                                                <span>{$_LANG.button_network}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_snapshots=="Yes" && $virtualization=="KVM"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=snapshot">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-snapshots"></i>
                                                <span>{$_LANG.button_snapshots}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_firewall=="Yes"}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=firewall">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-firewall"></i>
                                                <span>{$_LANG.button_firewall}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $prod_permissions.per_firewallOptions}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=FirewallOptions">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-firewall"></i>
                                                <span>{$MGLANG->absoluteT("Firewall Options")}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $virtualization=="KVM" && $prod_permissions.per_DisksManagement}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=disks">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-disks"></i>
                                                <span>{$_LANG.button_disksManagement}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $virtualization=="LXC" && $prod_permissions.per_DisksManagement}
                                    <div class="col-lg-4 col-xs-6">
                                        <a class="big-button" href="{$managementURL}&page=MountPoints">
                                            <div class="button-wrapper">
                                                <i class="icon-btn icon-disks"></i>
                                                <span>{$_LANG.button_disksManagement}</span>
                                            </div>
                                        </a>
                                    </div>
                                {/if}
                                {if $isKeyPairs}
                                    {if $isPrivateKey}
                                        <div class="col-lg-4 col-xs-6">
                                            <a class="big-button" id="mg-private-key-download" href="#" data-delete="{$lxc_sshDeletePrivateKey}" data-url="{$mainURL}&subaction=privateKeyDownload" >
                                                <div class="button-wrapper">
                                                    <i class="icon-btn icon-ssl-1"></i>
                                                    <span>{$MGLANG->T('Download Private Key')}</span>
                                                </div>
                                            </a>
                                        </div>
                                    {/if}
                                    <div class="col-lg-4 col-xs-6">
                                            <a class="big-button" href="{$mainURL}&subaction=publicKeyDownload">
                                                <div class="button-wrapper">
                                                    <i class="icon-btn icon-ssl-2"></i>
                                                    <span>{$MGLANG->T('Download Public Key')}</span>
                                                </div>
                                            </a>
                                        </div>
                                {/if}  
                            </div>
                        </div>
                    {/if}

                    {if $ips}
                        <h4 class="text-center mb-20">
                            {$_LANG.vps.ip_addresses}
                        </h4>
                        <table class="table pm-stats"  style="width:100%;">
                               <tr>
                                   <thead>
                                <th style="width:100px;">{$_LANG.vps.ip_address}</th>
                                <th>{$_LANG.vps.netmask}</th>
                                <th>{$_LANG.vps.subnet_mask}</th>
                                <th>{$_LANG.vps.gateway}</th>
                                 </thead>
                            </tr>
                            {foreach from=$ips item=ip}

                                <tr>
                                    <td nowrap>{$ip.ip} </td>
                                    <td>{$ip.mac_address}</td>
                                    <td>{$ip.subnet_mask}</td>
                                    <td>{$ip.gateway}</td>
                                </tr>
                            {/foreach}
                        </table>
                    {/if}
                </div>
  
     {*modal-cd-dvd*}
     <div class="modal fade bs-example-modal-lg" id="pm-modal-cd-dvd" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
         <form method="post">
             <div class="modal-dialog">
                 <div class="modal-content">
                     <div class="modal-header">
                         <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                         <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->T('Edit: CD/DVD')} <strong></strong></h4>
                     </div>
                     <div class="modal-body" >
                         <div class="modal-alerts">
                             <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                         </div>
                         <div style="margin-top:50px; margin-bottom: 55px;">
                             <div class="form-horizontal" id="pm-form-change-iso">

                             </div>
                             <div class="modal-loader" style="display:none;"></div>
                         </div>
                     </div>
                     <div class="modal-footer">
                         <button type="submit" class="btn btn-primary disabled"  id="pm-save-iso"   name="subaction"   value="delete" >{$_LANG.general.save}</button>
                         <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                     </div>
                 </div>
             </div>
         </form>
     </div>
     {*modal-boot-order*}
     <div class="modal fade bs-example-modal-lg" id="modal-boot-order" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
         <form method="post">
             <div class="modal-dialog">
                 <div class="modal-content">
                     <div class="modal-header">
                         <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                         <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->T('Edit: Boot Order')} <strong></strong></h4>
                     </div>
                     <div class="modal-body" >
                         <div class="modal-alerts">
                             <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                         </div>
                         <div style="margin-top:50px; margin-bottom: 55px;">
                             <div class="form-horizontal">

                             </div>
                             <div class="modal-loader" style="display:none;"></div>
                         </div>
                     </div>
                     <div class="modal-footer">
                         <button type="submit" class="btn btn-primary disabled mg-save"  name="subaction"   >{$_LANG.general.save}</button>
                         <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                     </div>
                 </div>
             </div>
         </form>
     </div>      
                     
     <div class="modal fade bs-example-modal-lg" id="mg-modal-private-key" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
             <div class="modal-dialog">
                 <div class="modal-content">
                     <div class="modal-header">
                         <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                         <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->T('Download Private Key')} <strong></strong></h4>
                     </div>
                     <div class="modal-body" >
                         <div class="modal-alerts">
                             <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                         </div>
                         <div style="margin-top:50px; margin-bottom: 55px;">
                            
                             <div class="alert alert-warning" role="alert">
                                        <p> {$MGLANG->T('SSH Key you can download only once')}</p>
                                    </div>
                             <div class="modal-loader" style="display:none;"></div>
                         </div>
                     </div>
                     <div class="modal-footer">
                         <button type="button" class="btn btn-primary" id="mg-doownload-private-key-fire" >{$MGLANG->T('Download')}</button>
                         <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                     </div>
                 </div>
             </div>
     </div> 
              

    </div>
</div>
{literal}
    <style type="text/css">
        .green {font-weight:bold;color:green;}
        .red {font-weight:bold;color:red}

        .pm-stats td{ text-align: left;}
        .pm-resource-usege{
            clear:both; 
            width:40% !important;
            margin-bottom: 2px !important;
        }
    </style>
    <script type="text/javascript">

        function proxmoxDetailsVM() {
            JSONParser.request(
                    "detailsVM"
                    , {}
            , function (data) {
                if (data.status == "Running")
                    jQuery("#proxmox_status").html('<span class="green">' + data.status + '</span>');
                else
                    jQuery("#proxmox_status").html('<span class="red">' + data.status + '</span>');

            },
                    "#pm-vps-details-loader");
        }


        jQuery(document).ready(function () {
            
            setInterval("proxmoxDetailsVM()", 60000);//60 seconds

            //hostname 
            $('#btn_show_hostname').click(function () {
                $('#so_hostname, #btn_change_hostname').show();
                $(this).hide();
                $('#so_hostname_value').hide();
                return false;
            });

            // change host name
            $('#btn_change_hostname').click(function (e) {
                if ($(this).hasClass('disabled'))
                    return false;
                e.preventDefault();
                var obj = $(this);
                jQuery(obj).buttonLoader(true);

                JSONParser.request(
                        "changeHostname"
                        , {
                            "hostname": $('#so_hostname').val()
                        }
                , function (data) { //success
                    jQuery(obj).buttonLoader(false);
                    if (data.message)
                        jQuery('#MGAlerts').alerts('success', data.message);
                    $('#so_hostname_value').html($('#so_hostname').val()).show();
                    $('#so_hostname, #btn_change_hostname').hide();
                    $('#btn_show_hostname').show();
                },
                        "off"
                        , function (data) { //fail
                            jQuery(obj).buttonLoader(false);
                            if (data.error)
                                jQuery('#MGAlerts').alerts('danger', data.error);

                        });
            });

            //show iso
            $("#pm-change-iso").click(function (e) {
                e.preventDefault();
                $("#pm-modal-cd-dvd").modal();
                $("#pm-save-iso").addClass('disabled');
                $("#pm-form-change-iso").html('');
                JSONParser.request(
                        "getIso"
                        , {
                        }
                , function (data) { //success
                    $("#pm-form-change-iso").html(data.html);
                    $("#pm-save-iso").removeClass('disabled');
                },"#pm-modal-cd-dvd .modal-loader");
            });

            //save iso
            $("#pm-save-iso").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "saveIso"
                        , {
                            "iso": $("#pm-select-iso").val()
                        }
                , function (data) { //success
                    $("#mg-cd-dvd-rom-iso").html(data.cdrom.iso);
                    if(data.msg)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.msg);
                }, "#pm-modal-cd-dvd .modal-loader");
            });

            //show form boot order
            $("#pm-change-boot").click(function (e) {
                e.preventDefault();
                $("#modal-boot-order").modal();
                $("#modal-boot-order .form-horizontal").html('');
                $("#modal-boot-order .mg-save").addClass('disabled');
                JSONParser.request(
                        "getBootOrder"
                        , {
                        }
                , function (data) { //success
                    $("#modal-boot-order .form-horizontal").html(data.html);
                    $("#modal-boot-order .mg-save").removeClass('disabled');
                }, "#modal-boot-order .modal-loader");
            });

            //save boot order
            $("#modal-boot-order .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "saveBootOrder"
                        , {
                            "boot1": $("#pm-select-boot1").val(),
                            "boot2": $("#pm-select-boot2").val(),
                            "boot3": $("#pm-select-boot3").val(),
                        }
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    $("#pm-vm-boot-order").html(data.bootOrder);
                    if(data.msg)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.msg);
                }, "#modal-boot-order .modal-loader");
            });
            
            //Private Key
            $("#mg-private-key-download").on('click', function(e){
                e.preventDefault();
                if($(this).attr('data-delete')=="1"){
                    $("#mg-modal-private-key").modal('show');
                    
                }else{
                    window.location.href=$(this).attr('data-url');
                }
            });
            
            
            $("#mg-doownload-private-key-fire").on('click', function(e){
                 e.preventDefault();
                 $("#mg-private-key-download").parent('div').hide();
                 $("#mg-modal-private-key").modal('hide');
                 window.location.href=$("#mg-private-key-download").attr('data-url');
            });
        });

    </script>
{/literal}