{**********************************************************************
* ProxmoxVPS product developed. (2018-04-11)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}
{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
    <div class="alert alert-warning">
        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
        <p>{$MGLANG->T('Adding, editing or removing disk will reboot the VM.')}</p>

    </div>
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-disks"></i>
        <h1>{$MGLANG->T('Disks')}</h1>
        <p>{$MGLANG->T('description')}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table table-app">
                <thead>
                    <tr>
                        <th>{$MGLANG->T('Id')}</th>
                        <th>{$MGLANG->T('Name')}</th>
                        <th>{$MGLANG->T('Path')}</th>
                        <th>{$MGLANG->T('Backup')}</th>
                        <th>{$MGLANG->T('Size')}</th>
                        <th style="width:80px; text-align: center;">{$MGLANG->T('Actions')} </th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$mountPoints item=mountPoint}
                        <tr>
                            <td class="cell-sm-12">&nbsp;{$mountPoint.id}</td>
                            <td class="cell-sm-12">&nbsp; {$MGLANG->T($mountPoint.name)}</td>
                            <td class="cell-sm-12">&nbsp;{$mountPoint.mp}</td>
                            <td class="cell-sm-12">&nbsp;{if $mountPoint.backup}{$MGLANG->T('Yes')}{else}{$MGLANG->T('No')}{/if}</td>
                            <td class="cell-sm-12">&nbsp; {if $mountPoint.gb} {$mountPoint.gb} GB{/if}</td>
                            <td class="cell-sm-12 cell-actions">

                                {if $mountPoint.id !="rootfs"}
                                    <a href="#" class="btn btn-icon pm-edit-hdd" 
                                       data-bus="{$mountPoint.id}"   data-sizeRaw="{$mountPoint.gb}"
                                       data-mp="{$mountPoint.mp}" data-backup="{$mountPoint.backup}"
                                       data-target="#pmModalEditHdd"  data-toggle="modal" title="{$MGLANG->T('Edit')}">
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                    <a class="btn btn-icon so_delete" href="#"   data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$mountPoint.id}" data-modal-title="{$MGLANG->T($mountPoint.name)}" title="{$MGLANG->T('Delete')}">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                </td>
                            {else}
                        <span style="float: left; padding-left:30px;"> - </span>
                    {/if}
                    </tr>
                {/foreach}
                <tr id="so_empty_rules" {if $mountPoints|@count !=0}  style="display:none;"{/if}>
                    <td colspan="12" style="text-align:center;">
                        {$_LANG.disks.empty}
                        {$MGLANG->T('No Disks')}
                    </td>
                </tr> 
                </tbody>
            </table>
            {if $maxHddsSize}
                <div style="text-align: right;" >
                    <button class="btn btn-success" data-toggle="modal" data-target="#pmModalAddHdd" id="so_button_add_rule">  {$MGLANG->T('Add New')} </button>
                </div>   
            {/if}
            <br/><br/>
            <!-- pmModalAddHdd -->
            <div class="modal fade" id="pmModalAddHdd" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header"> {$MGLANG->T('New Disk')}</h4>
                            </div>
                            <div class="modal-body">
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddSize" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Size')}:  </label>
                                        </td>
                                        <td>
                                            <div class="so_slider" style="width:80%"><div id="pm-slider-size"></div></div>
                                            <input type="text" name="mp[size]"  id="pmHddSize" value="1" style="margin-bottom: -1px;" class="mondal_inputs cl_numeric"/>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddBackup" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Backup')}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="mp[backup]" id="pmHddBackup" value="1" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddPath" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Path')}:  </label>
                                        </td>
                                        <td>
                                            <input type="text" name="mp[mp]" required=""  style="width: 96%" class="form-control" id="pmHddPath" value="" placeholder="{$MGLANG->T('/some/path')}" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="addDisk" >{$MGLANG->T('Add')}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('Close')}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <!-- pmModalAddHdd -->
            <div class="modal fade" id="pmModalEditHdd" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$MGLANG->T('Edit Disk')}</h4>
                            </div>
                            <input type="hidden" id="pmEditHddBus" name="mp[id]" value="" />
                            <div class="modal-body">
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmEditHddSize" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Size (GB)')}:  </label>
                                        </td>
                                        <td>
                                            <div class="so_slider" style="width:80%"><div id="pm-slider-size-edit"></div></div>
                                            <input type="text" name="mp[size]"  id="pmEditHddSize" value="1" style="margin-bottom: -1px;" class="mondal_inputs cl_numeric"/>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddBackup-edit" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Backup')}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="mp[backup]" id="pmHddBackup-edit" value="1" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="pmHddPath-edit" class="control-label" style="display:inline;float:none;" >{$MGLANG->T('Path')}:  </label>
                                        </td>
                                        <td>
                                            <input type="text" name="mp[mp]" style="width: 96%" required="" class="form-control" id="pmHddPath-edit" value="" placeholder="{$MGLANG->T('/some/path')}" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="editDisk" >{$MGLANG->T('Save Changes')}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('Close')}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$MGLANG->T('Delete:')} <strong></strong></h4>
                            </div>
                            <div class="modal-loader" style="display:none;"></div>
                            <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;   margin-top: 50px; text-align: center;"> 
                                <div>{$MGLANG->T('confirm','delete')} </div>
                            </div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$MGLANG->T('Delete')}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('Close')}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
{literal}
    <style type="text/css">
        .cl_numeric {width:50px;overflow:hidden;}
        .so_slider {width:400px;float:left;margin: 8px 10px 0 5px;}
    </style>
    <script type="text/javascript">
        var so_text_header_add = "{/literal}{$_LANG.disks.add_rule}{literal}";
        var so_text_header_edit = "{/literal}{$_LANG.disks.edit_rule}{literal}";
        var so_text_header_group_add = "{/literal}{$_LANG.disks.add_group}{literal}";
        var so_text_header_group_edit = "{/literal}{$_LANG.disks.edit_group}{literal}";
        var so_text_add = "{/literal}{$_LANG.general.add}{literal}";
        var so_text_ok = "{/literal}{$_LANG.general.ok}{literal}";
        var so_text_edit = "{/literal}{$_LANG.general.edit}{literal}";
        $(document).ready(function () {
            function proxmox_clear_inputs() {
                $(".mondal_inputs").each(function () {
                    $(this).val('');
                    if ($(this).attr("disabled"))
                        $(this).attr("disabled", false);
                    if ($(this).attr("checked"))
                        $(this).attr("checked", false);
                });
            }
            //Delete 
            $(".so_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });
            //slider Add Hdd
            $("#pm-slider-size").slider({
                min: 1,
                max: {/literal}{$maxHddsSize}{literal},
                range: "min",
                value: $("#pmHddSize").val(),
                slide: function (event, ui) {
                    $("#pmHddSize").val(ui.value);
                }
            });
            //slider Edit Hdd
            $("#pm-slider-size-edit").slider({
                min: 1,
                max: {/literal}{$maxHddsSize}{literal},
                range: "min",
                value: $("#pmEditHddSize").val(),
                slide: function (event, ui) {
                    $("#pmEditHddSize").val(ui.value);
                }
            });
            //change
            $('.cl_numeric').change(function () {
                var max = $(this).closest('td').find('.so_slider').children('div').slider("option", "max");
                if ($(this).val() > max) {
                    $(this).val(max);
                }
                $(this).closest('td').find('.so_slider').children('div').slider("value", $(this).val());
            });
            //Edit HDD
            $(".pm-edit-hdd").click(function () {
                proxmox_clear_inputs();
                $("#pmEditHddBus").val($(this).attr('data-bus'));
                $("#pmEditHddSize").val($(this).attr('data-sizeRaw'));
                $("#pmHddPath-edit").val($(this).attr('data-mp'));
                $("#pmHddBackup-edit").attr("checked", $(this).attr('data-backup') == "1");
                $("#pm-slider-size-edit").slider("value", $(this).attr('data-sizeRaw'));
            });
        });
    </script>
{/literal}