{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-reinstall"></i>
        <h1>{$_LANG.reinstall.header}</h1>
        <p>{$_LANG.reinstall.description}</p>
    </div>
    <div class="module-body">
        <div class="well">
            <form class="form-horizontal" method="post">
                {if $virtualization=="KVM" && $displayReinstallType}
                    <div class="form-group">
                        <label class="control-label col-sm-3" style="margin-top: -2px;">{$MGLANG->T("Type")}</label>
                        <div class="col-sm-9">
                            <div class="row">
                                <div class="col-sm-10">
                                    <div style="width:10px; display:inline;float:none;">
                                        <input type="radio" name="reinstall[type]" id="pm-reinstall-kvm-template" value="kvmTemplate" />
                                    </div>
                                    <label for="pm-reinstall-kvm-template" style="display:inline;float:none;">{$MGLANG->T("KVM Template")}</label>
                                    <br/>
                                    <div class="help-block">{$MGLANG->T("kvmTemplate","desription")}</div>
                                    <div style="width:10px; display:inline;float:none;">  
                                        <input type="radio" name="reinstall[type]" id="pm-reinstall-iso-image" value="isoImage" />
                                    </div>
                                    <label for="pm-reinstall-iso-image" style="display:inline;float:none;">{$MGLANG->T("ISO Image")}</label>
                                    <br/>
                                    <div class="help-block"> {$MGLANG->T("isoImage","desription")}</div>
                                </div>
                            </div>
                        </div>    
                    </div>
                {/if}
                <div class="form-group" id="pm-kvm-template" {if !$displayKvmTemplates}style="display:none;" {/if}>
                    <label class="control-label col-sm-3" style="margin-top: -2px;">{$_LANG.reinstall.template}</label>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="col-sm-10">
                                {foreach from=$templatesKvm item=tem key=k name=ind}
                                    {if $tem neq ""}
                                        <div style="width:10px; display:inline;float:none;">
                                            <input type="radio" name="rebuild[template]" id="pm-kvm-template-{$smarty.foreach.ind.iteration}" value="{$k}" />
                                        </div>
                                        <label for="pm-kvm-template-{$smarty.foreach.ind.iteration}" style="display:inline;float:none;">{$tem}</label>
                                        <br/>
                                    {/if}
                                {/foreach}
                                <div class="help-block"></div>
                            </div>
                        </div>    
                    </div>
                </div> 
                <div class="form-group" id="pm-iso-image" {if !$displayIsoImages}style="display:none;" {/if} >
                    <label class="control-label col-sm-3" style="margin-top: -2px;">{$_LANG.reinstall.template}</label>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="col-sm-10">
                                {foreach from=$iso item=tem key=k name=ind}
                                    {if $tem neq ""}
                                        <div style="width:10px; display:inline;float:none;">
                                            <input type="radio" name="iso[template]" id="pm-iso-{$smarty.foreach.ind.iteration}" value="{$k}" />
                                        </div>
                                        <label for="pm-iso-{$smarty.foreach.ind.iteration}" style="display:inline;float:none;">{$tem}</label>
                                        <br/>
                                    {/if}
                                {/foreach}
                                <div class="help-block"></div>
                            </div>
                        </div>    
                    </div>
                </div> 
                <div class="form-actions">
                    <button type="submit" name="subaction" id="pm-button-rebuild"  value="rebuild" class="btn btn-primary">{$MGLANG->T("Reinstall")}</button>
                </div>
            </form>
        </div>
    </div>
</div>
{literal}
    <script type="text/javascript">
        jQuery(document).ready(function () {

            $("#pm-reinstall-kvm-template").change(function(e){
                $("#pm-kvm-template").show();
                $("#pm-iso-image").hide();
                $("#pm-button-rebuild").val("rebuild");
            });
            $("#pm-reinstall-iso-image").change(function(e){
                $("#pm-kvm-template").hide();
                $("#pm-iso-image").show();
                $("#pm-button-rebuild").val("rebuildIso");
            });
        });
    </script>
{/literal}