{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}
{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-snapshots"></i>
        <h1>{$_LANG.snapshots.header}</h1>
        <p>{$_LANG.snapshots.descriptionLong}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table">
                <thead>
                    <tr>
                        <th style="width:150px;">{$_LANG.snapshots.name}</th>
                        <th style="width:30px;">{$_LANG.snapshots.status} </th>
                        <th style="width:30px;">{$_LANG.snapshots.ram} </th>
                        <th style="width:150px;">{$_LANG.snapshots.date_status}</th>
                        <th>{$_LANG.snapshots.description}</th>
                        <th style="min-width:80px; text-align: center;"> {$_LANG.snapshots.action} </th>
                    </tr>
                </thead> 
                <tbody>
                    {foreach from=$snapshots item=snapshot}
                        <tr>
                            <td class="cell-sm-12"> {$snapshot->name}  &nbsp;</td>
                            <td class="cell-sm-12">{if $current && $current->parent eq  $snapshot->name}<span class="icon-status_green"></span> {else}<span class="icon-status_red"></span>  {/if}  </td>
                            <td class="cell-sm-12"> {if $snapshot->vmstate eq 1} {$_LANG.snapshots.ram_on} {else} {$_LANG.snapshots.ram_off}  {/if}&nbsp;</td>  
                            <td class="cell-sm-12">{$snapshot->getDate()}  &nbsp; </td>
                            <td class="cell-sm-12">  
                                <span  class="sp-description-value-{$snapshot->name}"  >{$snapshot->description}</span>
                                
                            </td>  

                            <td style="text-align: center;" class="cell-sm-12 cell-actions">  &nbsp; 

                                <a href="#"   class="btn btn-icon pm-snap-edit pm-snap-name-{$snapshot->name}" title="{$_LANG.general.edit}" data-modal-target="{$snapshot->name}" data-description="{$snapshot->description}" data-toggle="modal" data-target="#pm-modal-update-snapshot" >
                                    <i class="fa fa-pencil"></i>
                                </a>
                                   
                                <a href="#"  data-toggle="modal" data-target="#pm-modal-rollback" data-modal-target="{$snapshot->name}" data-modal-title="{$snapshot->name}" class="btn btn-icon pm-rollback" title="{$_LANG.snapshots.rollback}" >
                                    <i class="fa fa-repeat"></i>
                                </a>
                                <a class="btn btn-icon so_delete" href="#"  data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$snapshot->name}" data-modal-title="{$snapshot->name}"  title="{$_LANG.cloud.delete}">
                                    <i class="fa fa-trash"></i>
                                </a>

                            </td>
                        </tr>

                    {foreachelse}
                        <tr>
                            <td  colspan="8" style="text-align:center;">
                                {$_LANG.snapshots.empty} 
                            </td>
                        </tr>  
                    {/foreach}
                </tbody>
            </table>

            {if $canCreateSnapshoot}
                <div style="text-align: right;" >
                    <button class="btn btn-small btn-success act_rollback" data-toggle="modal" data-target="#pm-modal-create-snapshot"> {$_LANG.snapshots.take_snapshot} </button>
                </div>   
            {/if}

            <br/><br/>
            <!-- Modal -->
            <div class="modal fade" id="pm-modal-create-snapshot" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
                <form method="post">
                    <input type="hidden" name="snapshot[parent]" id="newSnapshotName" value=""/>  
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4>{$_LANG.snapshots.take_snapshot}</h4>
                            </div>
                            <div class="modal-body">
                                <div class="modal-alerts">
                                     <div class="alertContainer">
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-danger" role="alert">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                                <a style="display:none;" class="errorID" href=""></a>
                                            </div>
                                        </div>
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-success">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                            </div>
                                        </div>
                                    </div>
                                 </div>
                                <div class="form-horizontal">
                                    <div class="form-group">
                                        <label for="snapName" class="col-sm-2 control-label">{$_LANG.snapshots_form.name}</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="snapshot[name]" pattern="{literal}[A-Za-z]{1}[A-Za-z0-9_]{1}[A-Za-z0-9]*{/literal}" id="snapName"  class="form-control" value="" /> 
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="snapRam" class="col-sm-2 control-label" >{$_LANG.snapshots_form.incram}  </label>
                                        <div class="col-sm-10">
                                            <input type="checkbox" name="snapshot[ram]" id="snapRam" value="1" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="snapDesc" class="col-sm-2 control-label">{$_LANG.snapshots_form.description}  </label>

                                        <div class="col-sm-10">
                                            <textarea name="snapshot[description]"  id="snapDesc" class="form-control" /></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-loader" style="display:none;"></div>
                            </div>
                            <div class="modal-footer">
                                <input type="hidden" name="subaction" value="take" />
                                <input type="submit" class="btn btn-primary mg-save" id="act_newSnapshot"  name="act_newSnapshot" value="{$_LANG.snapshots.take_snapshot}" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.snapshots.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            {*update*}
            <div class="modal fade" id="pm-modal-update-snapshot" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
                <form method="post">
                    <input type="hidden" name="name" id="pm-snap-name" value=""/>  
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="pm-modal-update-label">{$_LANG.snapshots.update} <strong></strong></h4>
                            </div>
                            <div class="modal-body">
                                <div class="form-horizontal">
                                    <div class="form-group">
                                        <label for="pm-snap-description"  class="col-sm-2 control-label">{$_LANG.snapshots_form.description}  </label>

                                        <div class="col-sm-10">
                                            <textarea name="description"  id="pm-snap-description" class="form-control" /></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-loader" style="display:none; margin-top:-40px"></div>
                            <div class="modal-footer">
                                <input type="submit" class="btn btn-primary" id="pm-button-snap-update"  name="act_newSnapshot" value="{$_LANG.general.save}" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.snapshots.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.snapshots.labelDelete} <strong></strong></h4>
                            </div>
                            
                            <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;   margin-top: 50px; text-align: center;"> 
                                <div>{$_LANG.snapshots.deleteMsg} </div>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.vps.delete}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            {*rollback one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-rollback" tabindex="-1" role="dialog" aria-labelledby="pm-modal-rollback-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-rollback-label">{$_LANG.snapshots.labelRollback} <strong></strong></h4>
                            </div>
                            <input type="hidden" name="target" value="" id="pm-modal-rollback-target">
                            <div  style="margin: 30px; text-align: center;"> 
                                <div>{$_LANG.snapshots.rollback_alert} </div>
                            </div>
                                 <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary"    name="subaction"   value="rollback" >{$_LANG.snapshots.rollback}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>             
        </div>
    </div>
</div>

{literal}
    <style type="text/css">
        .so_imput_error { border: 1px solid red !important;    border-radius: 4px; };
    </style>
    <script type="text/javascript">

        $(document).ready(function () {
            $(".so_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

            $(".pm-rollback").click(function () {
                $("#pm-modal-rollback-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-rollback-label strong").html($(this).attr('data-modal-title'));
            });

            $("#snapName").on('input', function () {
                var letters = /^[A-Za-z]{1}[A-Za-z0-9_]{1}[A-Za-z0-9]*$/;
                var input = $("#snapName").val();
                if (!$("#snapName").val()) {
                    $("#snapName").addClass("so_imput_error");
                    return false;
                } else if (!input.match(letters)) {
                    $("#snapName").addClass("so_imput_error");
                    $("#err_alphabetical").show();
                    return false;
                } else {
                    $("#snapName").removeClass("so_imput_error");
                    $("#err_alphabetical").hide();
                }
            });

            $(".pm-snap-edit").click(function () {
                $("#pm-modal-update-label strong").html($(this).attr('data-modal-target'));
                $("#pm-snap-name").val($(this).attr('data-modal-target'));
                $("#pm-snap-description").val($(this).attr('data-description'));
                $(".pm-snap-name-"+$("#pm-snap-name").val()).attr('data-description', $("#pm-snap-description").val());
            });

            //edit
            $("#pm-button-snap-update").click(function () {
                
                JSONParser.request(
                        "edit"
                        , {
                            "name": $("#pm-snap-name").val(),
                            "description": $("#pm-snap-description").val(),
                        }
                , function (data) { //success
                    
                    if (data.success)
                        jQuery('#MGAlerts').alerts('success', data.success);
                    $("#pm-modal-update-snapshot").modal("hide");
                    $(".sp-description-value-"+$("#pm-snap-name").val()).html($("#pm-snap-description").val().replace(/\n/g, "<br>"));
                },"#pm-modal-update-snapshot .modal-loader",
                function (data) { //error
                    if (data.error)
                        jQuery('#MGAlerts').alerts('danger', data.error);
                    $("#pm-modal-update-snapshot").modal("hide");
                }); 

                return false;
            });
            
            //save 
            $("#pm-modal-create-snapshot").on('submit', function (e) {
                e.preventDefault();
                JSONParser.request(
                        "take"
                        , $("#pm-modal-create-snapshot form").serialize()
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    if(data.modalSuccess)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.modalSuccess);
                    window.location.reload();
                }, "#pm-modal-create-snapshot .modal-loader");
            });
        });


    </script>
{/literal}